application.title.text=ActiveMFT Gateway
copyright.text=Powered by ActiveMFT Gateway. Copyright 1999-%s Advanced Systems Concepts Inc.

button.ok.text=OK
button.apply.text=Apply
button.cancel.text=Cancel
button.add.text=Add
button.save.text=Save
button.copy.text=Copy
button.import.text=Import
button.export.text=Export
button.run.text=Run
button.clear.text=Clear
button.edit.text=Edit
button.delete.text=Delete
button.purge.text=Purge
button.view.text=View
button.up.text=Up
button.down.text=Down
button.start.text=Start
button.stop.text=Stop
button.close.text=Close
button.create.text=Create
button.change.text=Change
button.refresh.text=Refresh
button.test.text=Test
button.previous.text=Previous
button.next.text=Next
button.autoupdate.text=Auto-Update
button.settings.text=Settings
button.details.text=Details
button.send.text=Send

button.size=75

button.addStart.text=Add/Start
button.addStart.width=105

button.saveStart.text=Save/Start
button.saveStart.width=105

button.browse.text=...
button.browse.width=30
button.browse.height=26

button.clearCache.text=Clear Cache
button.clearCache.width=105

true=true
false=false

enabled=enabled
disabled=disabled

blocked=blocked
not.blocked=not blocked

error.title=Error
error.button.details.text=Details
error.rest.general=Internal server error! {description}
error.rest.PROTOCOL_ERROR=Protocol error! {description}
error.rest.NOT_AUTHENTICATED=Authentication error!
error.rest.OPERATION_NOT_ALLOWED=Operation not allowed! {description}
error.rest.INVALID_OPERATION_DATA=Invalid operation data! {description}
error.rest.ENTITY_NOT_FOUND=Requested data not found! {description}
error.rest.ENTITY_ALREADY_EXISTS=Please select other unique name/ID!
error.rest.ENTITY_OUT_OF_DATE=Your data is out of date! Please refresh the page and enter data again!
error.rest.ENTITY_IN_USE=Please delete related data first!
error.rest.INTERNAL_ERROR=Internal server error! {description}

error.http.title=HTTP response:
error.server.title=Server response:

error.connection.text=Connection error!
error.browser.text=Internal browser error!

uploading.data.title=Uploading Data...
uploaded.bytes.message={value} uploaded

ip4.any.address=0.0.0.0 (any IPv4 network interface)
ip6.any.address=:: (any IPv4/IPv6 network interface)

loginPage.title.text=ActiveMFT Gateway | Login
loginPage.usernameLabel.text=Username
loginPage.passwordLabel.text=Password
loginPage.changePasswordButton.text=Change Password
loginPage.submitButton.text=Login
loginPage.error.emptyUsername.message=Please enter non-empty username!

changePasswordStartedDialog.message=User password changing procedure started! Please check your email for security code.

changePasswordDialog.width=590
changePasswordDialog.height=280
changePasswordDialog.title=Change Password
changePasswordDialog.descriptionLabel.title=User Password
changePasswordDialog.descriptionLabel.text=Specify new password
changePasswordDialog.securityCodeLabel.text=Security code
changePasswordDialog.passwordLabel.text=Password
changePasswordDialog.passwordConfirmationLabel.text=Password check
changePasswordDialog.error.emptySecurityCode.message=Please enter security code!
changePasswordDialog.error.emptyPassword.message=Please enter password!
changePasswordDialog.error.emptyPasswordConfirmation.message=Please enter password!
changePasswordDialog.error.nonEqualPasswords.message=Please enter same passwords!

changePasswordFinishedDialog.message=User password changed! Please log in with new credentials.

menu.help.text=Help
menu.apiHelp.text=API Help
menu.installLicense.text=Install License
menu.about.text=About
menu.logout.text=Logout
menu.status.text=Status
menu.datastore.text=Datastore
menu.services.text=Services
menu.sessions.text=Sessions
menu.clusters.text=Clusters
menu.ipaccess.text=IP Access
menu.logging.text=Logging
menu.monitor.text=Health Monitor
menu.administrators.text=Administrators
menu.keys.text=Keys
menu.email.text=Email
menu.web.text=Web
menu.agents.text=Agents
menu.jmx.text=JMX
menu.usernameLabel.text=Logged in as:
menu.lastLoginLabel.text: Last login:

aboutDialog.width=340
aboutDialog.height=180
aboutDialog.title=About
aboutDialog.product=ActiveMFT Gateway

logoutDialog.title=Logout
logoutDialog.message=Logout application?

table.empty.text=No data
table.filter.empty.text=No data found
table.page.info.text=Records from _START_ to _END_
table.info.filtered.text=(filtered)
table.records.page.text=Display _MENU_ records per page
table.records.loading.text=Loading...
table.records.processing.text=Processing...

size.KB=KiB
size.MB=MiB

statusPage.dashboardTab.title=Dashboard
statusPage.connectionsChart.title=Connections
statusPage.connectionsChart.legend.y=Connections
statusPage.connectionsChart.zoomOutButton.text=Zoom Out
statusPage.connectionsChart.tooltip.text={date}<br>{value} connections
statusPage.memoryChart.title=Memory
statusPage.memoryChart.legend.y=Memory (MiB)
statusPage.memoryChart.legend.max=Max memory
statusPage.memoryChart.legend.heap=Heap memory
statusPage.memoryChart.legend.allocated=Allocated memory
statusPage.memoryChart.zoomOutButton.text=Zoom Out
statusPage.memoryChart.tooltip.text={date}<br>{value} MiB
statusPage.threadsChart.title=Threads
statusPage.threadsChart.legend.y=Threads
statusPage.threadsChart.zoomOutButton.text=Zoom Out
statusPage.threadsChart.tooltip.text={date}<br>{value} threads

statusPage.infoTab.title=Gateway
statusPage.versionLabel.text=Version:
statusPage.instanceIdLabel.text=Instance ID:
statusPage.buildDateLabel.text=Release date:
statusPage.licenseIdLabel.text=License ID:
statusPage.licenseTypeLabel.text=License type:
statusPage.licenseOwnerLabel.text=License owner:
statusPage.licenseHostLabel.text=License binding host:
statusPage.licenseMacLabel.text=License binding MAC:
statusPage.licenseHost.nonbinding=non-binding
statusPage.licenseMac.nonbinding=non-binding
statusPage.licenseExpiration.text={date} ({days} days)
statusPage.licenseExpiration.nonexpiring=non-expiring
statusPage.licenseExpirationLabel.text=License expiration date:
statusPage.licenseMaintenanceExpirationLabel.text=Maintenance expiration:
statusPage.maxConnectionsLabel.text=Max connections:
statusPage.maxConnections.unlimited=unlimited
statusPage.timezoneLabel.text=Time zone:
statusPage.uptimeLabel.text=Uptime:
statusPage.memoryLabel.text=Memory:
statusPage.threadsLabel.text=Threads:
statusPage.dbFileSizeLabel.text=DB file size:
statusPage.totalUserConnectionsLabel.text=Total connections:
statusPage.currentUserConnectionsLabel.text=Current connections:
statusPage.currentAgentsLabel.text=Current agents:
statusPage.currentAdministratorConnectionsLabel.text=Current administrators:

importLicenseDialog.width=590
importLicenseDialog.height=220
importLicenseDialog.title=Install License
importLicenseDialog.descriptionLabel.title=Install License
importLicenseDialog.descriptionLabel.text=Specify license file parameters
importLicenseDialog.licenseFileLabel.text=File
importLicenseDialog.okButton.text=Install
importLicenseDialog.error.emptyFile.message=Please specify file path!

licenseImportedDialog.title=License Imported
licenseImportedDialog.message=Application license imported!

statusPage.interfacesTab.title=Interfaces
statusPage.interfacesTable.column.0=Name
statusPage.interfacesTable.column.1=Description
statusPage.interfacesTable.column.2=Addresses

datastorePage.datastoreTab.title=Datastore
datastorePage.jdbcUrlLabel.text=JDBC URL:
datastorePage.usernameLabel.text=Username:
datastorePage.poolSizeLabel.text=Pool size:
datastorePage.poolSizeLabel.value={value} connections
datastorePage.poolTimeoutLabel.text=Pool timeout:
datastorePage.poolTimeoutLabel.value={value} sec
datastorePage.synchronizationLabel.text=Synchronization:
datastorePage.synchronizationLabel.value=every {value} sec
datastorePage.synchronizationLabel.value.none=disabled
datastorePage.fileSizeLabel.text=File size:

datastoreConfigurationDialog.width=590
datastoreConfigurationDialog.height=390
datastoreConfigurationDialog.title=Datastore Configuration
datastoreConfigurationDialog.descriptionLabel.title=Datastore Configuration
datastoreConfigurationDialog.descriptionLabel.text=Specify datastore parameters
datastoreConfigurationDialog.jdbcUrlLabel.text=JDBC URL
datastoreConfigurationDialog.usernameLabel.text=Username
datastoreConfigurationDialog.passwordLabel.text=Password
datastoreConfigurationDialog.poolSizeLabel.text=Pool size
datastoreConfigurationDialog.poolSizeUnitLabel.text=connections
datastoreConfigurationDialog.poolTimeoutLabel.text=Pool timeout
datastoreConfigurationDialog.poolTimeoutUnitLabel.text=sec
datastoreConfigurationDialog.syncronizationLabel.text=Synchronize data every
datastoreConfigurationDialog.syncronizationUnitLabel.text=sec
datastoreConfigurationDialog.error.emptyJdbcUrl.message=Please enter valid JDBC URL!
datastoreConfigurationDialog.error.emptyUsername.message=Please enter valid username!
datastoreConfigurationDialog.error.emptyPoolSize.message=Please enter valid pool size!
datastoreConfigurationDialog.error.emptyPoolTimeout.message=Please enter valid pool timeout!
datastoreConfigurationDialog.error.emptySynchronizationTime.message=Please enter valid synchronization time!
datastoreConfigurationDialog.migrateButton.text=Migrate
datastoreConfigurationDialog.migrateButton.width=75

datastoreConfigurationAppliedDialog.message=Datastore configuration updated!
databaseTestPassedDialog.message.ok=Database test passed!
databaseTestPassedDialog.message.no.admin=Database test passed! Warning: administrator not found!
dataMigratedDialog.message=Data migrated!

protocol.FTP=FTP
protocol.FTPS=FTPS
protocol.FTPS_IMPLICIT=Implicit FTPS
protocol.HTTP=HTTP
protocol.HTTPS=HTTPS
protocol.SFTP=SFTP
protocol.RAW=TCP
protocol.RAW_SSL=TCP/SSL
protocol.SSH_SFTP=SFTP/SSH (TCP)
protocol.SMTP=SMTP (TCP)
protocol.POP3=POP3 (TCP)
protocol.IMAP4=IMAP4 (TCP)
protocol.MYSQL=MySQL (TCP)
protocol.UDP=UDP

servicesPage.servicesTab.title=Services
servicesPage.servicesTable.column.0=Client Protocol
servicesPage.servicesTable.column.1=Server Protocol
servicesPage.servicesTable.column.2=Local Address
servicesPage.servicesTable.column.3=Remote Address
servicesPage.servicesTable.column.4=Cluster
servicesPage.servicesTable.column.5=Agent Delegation
servicesPage.servicesTable.column.6=FIPS
servicesPage.servicesTable.column.7=State
servicesPage.servicesTable.column.8=Uptime
servicesPage.servicesTable.column.9=Current Connections
servicesPage.servicesTable.column.10=Total Connections
servicesPage.servicesTab.clearServiceCacheButton.text=Clear Cache
servicesPage.servicesTab.clearServiceCacheButton.width=100

service.started=running
service.stopped=stopped
service.delegated=delegated
service.non-delegated=non-delegated

serviceProtocolDialog.width=370
serviceProtocolDialog.height=250
serviceProtocolDialog.title=Proxy Service Protocols
serviceProtocolDialog.descriptionLabel.title=Service Protocols
serviceProtocolDialog.descriptionLabel.text=Specify service protocols
serviceProtocolDialog.clientProtocolLabel.text=Client protocol
serviceProtocolDialog.serverProtocolLabel.text=Server protocol

addFtpServiceDialog.width=780
addFtpServiceDialog.height=620
addFtpServiceDialog.title=Add '{clientProtocol}-{serverProtocol}' Proxy Service
addFtpServiceDialog.descriptionLabel.title=Proxy Service
addFtpServiceDialog.descriptionLabel.text=Specify service parameters
addFtpServiceDialog.basicTab.title=Basic
addFtpServiceDialog.localHostLabel.text=Local host
addFtpServiceDialog.localPortLabel.text=port
addFtpServiceDialog.remoteHostLabel.text=Remote host
addFtpServiceDialog.remotePortLabel.text=port
addFtpServiceDialog.remoteTimeoutLabel.text=timeout
addFtpServiceDialog.remoteTimeoutUnitLabel.text=sec
addFtpServiceDialog.clusterLabel.text=Cluster
addFtpServiceDialog.addClusterButton.text=Add
addFtpServiceDialog.connectionDelegationBox.text=Delegate connections to available agents
addFtpServiceDialog.ftpIgnorePasvIpBox.text=Ignore PASV/LPSV/EPSV IP of server host
addFtpServiceDialog.error.emptyLocalHost.message=Please specify local host!
addFtpServiceDialog.error.emptyLocalPort.message=Please specify local port!
addFtpServiceDialog.error.emptyRemoteHost.message=Please specify remote host!
addFtpServiceDialog.error.emptyRemotePort.message=Please specify remote port!
addFtpServiceDialog.error.emptyRemoteTimeout.message=Please specify remote timeout!
addFtpServiceDialog.advancedTab.title=Advanced
addFtpServiceDialog.commandTimeoutLabel.text=Command channel timeout
addFtpServiceDialog.commandTimeoutUnitLabel.text=sec
addFtpServiceDialog.dataTimeoutLabel.text=Data channel timeout
addFtpServiceDialog.dataTimeoutUnitLabel.text=sec
addFtpServiceDialog.ftpDataChannelBufferSizeEnabledBox.text=Data channel buffer size
addFtpServiceDialog.ftpDataTransferBufferSizeLabel.text=Data transfer buffer size
addFtpServiceDialog.bufferSizeUnitLabel.text=byte(s)
addFtpServiceDialog.passiveIpLabel.text=Passive IP
addFtpServiceDialog.passiveRegexpBox.text=Do not use Passive IP for client IP matching regexp
addFtpServiceDialog.passivePortBox.text=Passive port range
addFtpServiceDialog.passivePortToLabel.text=to
addFtpServiceDialog.blockBounceBox.text=Block bounce attack
addFtpServiceDialog.blockPasvBox.text=Block PASV attack
addFtpServiceDialog.shutdownSslServerBox.text=Shutdown server SSL
addFtpServiceDialog.shutdownSslClientBox.text=Shutdown client SSL
addFtpServiceDialog.error.emptyCommandTimeout.message=Please enter valid command channel timeout!
addFtpServiceDialog.error.emptyDataTimeout.message=Please enter valid data channel timeout!
addFtpServiceDialog.error.emptyDataChannelBufferSize.message=Please enter valid data channel buffer size!
addFtpServiceDialog.error.emptyDataTransferBufferSize.message=Please enter valid data transfer buffer size!
addFtpServiceDialog.error.emptyPassiveRegexp.message=Please enter valid regexp!

editFtpServiceDialog.width=780
editFtpServiceDialog.height=620
editFtpServiceDialog.title=Update '{clientProtocol}-{serverProtocol}' Proxy Service
editFtpServiceDialog.descriptionLabel.title=Proxy Service
editFtpServiceDialog.descriptionLabel.text=Specify service parameters
editFtpServiceDialog.basicTab.title=Basic
editFtpServiceDialog.localHostLabel.text=Local host
editFtpServiceDialog.localPortLabel.text=port
editFtpServiceDialog.remoteHostLabel.text=Remote host
editFtpServiceDialog.remotePortLabel.text=port
editFtpServiceDialog.remoteTimeoutLabel.text=timeout
editFtpServiceDialog.remoteTimeoutUnitLabel.text=sec
editFtpServiceDialog.clusterLabel.text=Cluster
editFtpServiceDialog.addClusterButton.text=Add
editFtpServiceDialog.connectionDelegationBox.text=Delegate connections to available agents
editFtpServiceDialog.ftpIgnorePasvIpBox.text=Ignore PASV/LPSV/EPSV IP of server host
editFtpServiceDialog.error.emptyLocalHost.message=Please specify local host!
editFtpServiceDialog.error.emptyLocalPort.message=Please specify local port!
editFtpServiceDialog.error.emptyRemoteHost.message=Please specify remote host!
editFtpServiceDialog.error.emptyRemotePort.message=Please specify remote port!
editFtpServiceDialog.error.emptyRemoteTimeout.message=Please specify remote timeout!
editFtpServiceDialog.advancedTab.title=Advanced
editFtpServiceDialog.commandTimeoutLabel.text=Command channel timeout
editFtpServiceDialog.commandTimeoutUnitLabel.text=sec
editFtpServiceDialog.dataTimeoutLabel.text=Data channel timeout
editFtpServiceDialog.dataTimeoutUnitLabel.text=sec
editFtpServiceDialog.ftpDataChannelBufferSizeEnabledBox.text=Data channel buffer size
editFtpServiceDialog.ftpDataTransferBufferSizeLabel.text=Data transfer buffer size
editFtpServiceDialog.bufferSizeUnitLabel.text=byte(s)
editFtpServiceDialog.passiveIpLabel.text=Passive IP
editFtpServiceDialog.passiveRegexpBox.text=Do not use Passive IP for client IP matching regexp
editFtpServiceDialog.passivePortBox.text=Passive port range
editFtpServiceDialog.passivePortToLabel.text=to
editFtpServiceDialog.blockBounceBox.text=Block bounce attack
editFtpServiceDialog.blockPasvBox.text=Block PASV attack
editFtpServiceDialog.shutdownSslServerBox.text=Shutdown server SSL
editFtpServiceDialog.shutdownSslClientBox.text=Shutdown client SSL
editFtpServiceDialog.error.emptyCommandTimeout.message=Please enter valid command channel timeout!
editFtpServiceDialog.error.emptyDataTimeout.message=Please enter valid data channel timeout!
editFtpServiceDialog.error.emptyDataChannelBufferSize.message=Please enter valid data channel buffer size!
editFtpServiceDialog.error.emptyDataTransferBufferSize.message=Please enter valid data transfer buffer size!
editFtpServiceDialog.error.emptyPassiveRegexp.message=Please enter valid regexp!


addFtpExplicitServiceDialog.width=780
addFtpExplicitServiceDialog.height=650
addFtpExplicitServiceDialog.title=Add '{clientProtocol}-{serverProtocol}' Proxy Service
addFtpExplicitServiceDialog.descriptionLabel.title=Proxy Service
addFtpExplicitServiceDialog.descriptionLabel.text=Specify service parameters
addFtpExplicitServiceDialog.basicTab.title=Basic
addFtpExplicitServiceDialog.localHostLabel.text=Local host
addFtpExplicitServiceDialog.localPortLabel.text=port
addFtpExplicitServiceDialog.remoteHostLabel.text=Remote host
addFtpExplicitServiceDialog.remotePortLabel.text=port
addFtpExplicitServiceDialog.remoteTimeoutLabel.text=timeout
addFtpExplicitServiceDialog.remoteTimeoutUnitLabel.text=sec
addFtpExplicitServiceDialog.clusterLabel.text=Cluster
addFtpExplicitServiceDialog.addClusterButton.text=Add
addFtpExplicitServiceDialog.keysLabel.text=Key
addFtpExplicitServiceDialog.generateKeyButton.text=Generate
addFtpExplicitServiceDialog.importKeyButton.text=Import
addFtpExplicitServiceDialog.connectionDelegationBox.text=Delegate connections to available agents
addFtpExplicitServiceDialog.advancedTab.title=Advanced
addFtpExplicitServiceDialog.commandTimeoutLabel.text=Command channel timeout
addFtpExplicitServiceDialog.commandTimeoutUnitLabel.text=sec
addFtpExplicitServiceDialog.dataTimeoutLabel.text=Data channel timeout
addFtpExplicitServiceDialog.dataTimeoutUnitLabel.text=sec
addFtpExplicitServiceDialog.ftpDataChannelBufferSizeEnabledBox.text=Data channel buffer size
addFtpExplicitServiceDialog.ftpDataTransferBufferSizeLabel.text=Data transfer buffer size
addFtpExplicitServiceDialog.bufferSizeUnitLabel.text=byte(s)
addFtpExplicitServiceDialog.passiveIpLabel.text=Passive IP
addFtpExplicitServiceDialog.passiveRegexpBox.text=Do not use Passive IP for client IP matching regexp
addFtpExplicitServiceDialog.passivePortBox.text=Passive port range
addFtpExplicitServiceDialog.passivePortToLabel.text=to
addFtpExplicitServiceDialog.blockBounceBox.text=Block bounce attack
addFtpExplicitServiceDialog.blockPasvBox.text=Block PASV attack
addFtpExplicitServiceDialog.shutdownSslServerBox.text=Shutdown server SSL
addFtpExplicitServiceDialog.shutdownSslClientBox.text=Shutdown client SSL
addFtpExplicitServiceDialog.ftpIgnorePasvIpBox.text=Ignore PASV/LPSV/EPSV IP of server host
addFtpExplicitServiceDialog.fipsModeBox.text=Enable FIPS compliance
addFtpExplicitServiceDialog.error.emptyLocalHost.message=Please specify local host!
addFtpExplicitServiceDialog.error.emptyLocalPort.message=Please specify local port!
addFtpExplicitServiceDialog.error.emptyRemoteHost.message=Please specify remote host!
addFtpExplicitServiceDialog.error.emptyRemotePort.message=Please specify remote port!
addFtpExplicitServiceDialog.error.emptyRemoteTimeout.message=Please specify remote timeout!
addFtpExplicitServiceDialog.error.emptyKey.message=Please specify the key!
addFtpExplicitServiceDialog.error.emptyPassiveRegexp.message=Please enter valid regexp!

editFtpExplicitServiceDialog.width=780
editFtpExplicitServiceDialog.height=650
editFtpExplicitServiceDialog.title=Update '{clientProtocol}-{serverProtocol}' Proxy Service
editFtpExplicitServiceDialog.descriptionLabel.title=Proxy Service
editFtpExplicitServiceDialog.descriptionLabel.text=Specify service parameters
editFtpExplicitServiceDialog.basicTab.title=Basic
editFtpExplicitServiceDialog.localHostLabel.text=Local host
editFtpExplicitServiceDialog.localPortLabel.text=port
editFtpExplicitServiceDialog.remoteHostLabel.text=Remote host
editFtpExplicitServiceDialog.remotePortLabel.text=port
editFtpExplicitServiceDialog.remoteTimeoutLabel.text=timeout
editFtpExplicitServiceDialog.remoteTimeoutUnitLabel.text=sec
editFtpExplicitServiceDialog.clusterLabel.text=Cluster
editFtpExplicitServiceDialog.addClusterButton.text=Add
editFtpExplicitServiceDialog.keysLabel.text=Key
editFtpExplicitServiceDialog.generateKeyButton.text=Generate
editFtpExplicitServiceDialog.importKeyButton.text=Import
editFtpExplicitServiceDialog.connectionDelegationBox.text=Delegate connections to available agents
editFtpExplicitServiceDialog.advancedTab.title=Advanced
editFtpExplicitServiceDialog.commandTimeoutLabel.text=Command channel timeout
editFtpExplicitServiceDialog.commandTimeoutUnitLabel.text=sec
editFtpExplicitServiceDialog.dataTimeoutLabel.text=Data channel timeout
editFtpExplicitServiceDialog.dataTimeoutUnitLabel.text=sec
editFtpExplicitServiceDialog.ftpDataChannelBufferSizeEnabledBox.text=Data channel buffer size
editFtpExplicitServiceDialog.ftpDataTransferBufferSizeLabel.text=Data transfer buffer size
editFtpExplicitServiceDialog.bufferSizeUnitLabel.text=byte(s)
editFtpExplicitServiceDialog.passiveIpLabel.text=Passive IP
editFtpExplicitServiceDialog.passiveRegexpBox.text=Do not use Passive IP for client IP matching regexp
editFtpExplicitServiceDialog.passivePortBox.text=Passive port range
editFtpExplicitServiceDialog.passivePortToLabel.text=to
editFtpExplicitServiceDialog.blockBounceBox.text=Block bounce attack
editFtpExplicitServiceDialog.blockPasvBox.text=Block PASV attack
editFtpExplicitServiceDialog.shutdownSslServerBox.text=Shutdown server SSL
editFtpExplicitServiceDialog.shutdownSslClientBox.text=Shutdown client SSL
editFtpExplicitServiceDialog.ftpIgnorePasvIpBox.text=Ignore PASV/LPSV/EPSV IP of server host
editFtpExplicitServiceDialog.fipsModeBox.text=Enable FIPS compliance
editFtpExplicitServiceDialog.error.emptyLocalHost.message=Please specify local host!
editFtpExplicitServiceDialog.error.emptyLocalPort.message=Please specify local port!
editFtpExplicitServiceDialog.error.emptyRemoteHost.message=Please specify remote host!
editFtpExplicitServiceDialog.error.emptyRemotePort.message=Please specify remote port!
editFtpExplicitServiceDialog.error.emptyRemoteTimeout.message=Please specify remote timeout!
editFtpExplicitServiceDialog.error.emptyKey.message=Please specify the key!
editFtpExplicitServiceDialog.error.emptyPassiveRegexp.message=Please enter valid regexp!

addFtpImplicitServiceDialog.width=780
addFtpImplicitServiceDialog.height=650
addFtpImplicitServiceDialog.title=Add '{clientProtocol}-{serverProtocol}' Proxy Service
addFtpImplicitServiceDialog.descriptionLabel.title=Proxy Service
addFtpImplicitServiceDialog.descriptionLabel.text=Specify service parameters
addFtpImplicitServiceDialog.basicTab.title=Basic
addFtpImplicitServiceDialog.localHostLabel.text=Local host
addFtpImplicitServiceDialog.localPortLabel.text=port
addFtpImplicitServiceDialog.remoteHostLabel.text=Remote host
addFtpImplicitServiceDialog.remotePortLabel.text=port
addFtpImplicitServiceDialog.remoteTimeoutLabel.text=timeout
addFtpImplicitServiceDialog.remoteTimeoutUnitLabel.text=sec
addFtpImplicitServiceDialog.clusterLabel.text=Cluster
addFtpImplicitServiceDialog.addClusterButton.text=Add
addFtpImplicitServiceDialog.keysLabel.text=Key
addFtpImplicitServiceDialog.generateKeyButton.text=Generate
addFtpImplicitServiceDialog.importKeyButton.text=Import
addFtpImplicitServiceDialog.connectionDelegationBox.text=Delegate connections to available agents
addFtpImplicitServiceDialog.advancedTab.title=Advanced
addFtpImplicitServiceDialog.commandTimeoutLabel.text=Command channel timeout
addFtpImplicitServiceDialog.commandTimeoutUnitLabel.text=sec
addFtpImplicitServiceDialog.dataTimeoutLabel.text=Data channel timeout
addFtpImplicitServiceDialog.dataTimeoutUnitLabel.text=sec
addFtpImplicitServiceDialog.ftpDataChannelBufferSizeEnabledBox.text=Data channel buffer size
addFtpImplicitServiceDialog.ftpDataTransferBufferSizeLabel.text=Data transfer buffer size
addFtpImplicitServiceDialog.bufferSizeUnitLabel.text=byte(s)
addFtpImplicitServiceDialog.passiveIpLabel.text=Passive IP
addFtpImplicitServiceDialog.passiveRegexpBox.text=Do not use Passive IP for client IP matching regexp
addFtpImplicitServiceDialog.passivePortBox.text=Passive port range
addFtpImplicitServiceDialog.passivePortToLabel.text=to
addFtpImplicitServiceDialog.blockBounceBox.text=Block bounce attack
addFtpImplicitServiceDialog.blockPasvBox.text=Block PASV attack
addFtpImplicitServiceDialog.shutdownSslServerBox.text=Shutdown server SSL
addFtpImplicitServiceDialog.shutdownSslClientBox.text=Shutdown client SSL
addFtpImplicitServiceDialog.ftpIgnorePasvIpBox.text=Ignore PASV/LPSV/EPSV IP of server host
addFtpImplicitServiceDialog.fipsModeBox.text=Enable FIPS compliance
addFtpImplicitServiceDialog.error.emptyLocalHost.message=Please specify local host!
addFtpImplicitServiceDialog.error.emptyLocalPort.message=Please specify local port!
addFtpImplicitServiceDialog.error.serviceExists.message=Please select other unique host/port!
addFtpImplicitServiceDialog.error.emptyRemoteHost.message=Please specify remote host!
addFtpImplicitServiceDialog.error.emptyRemotePort.message=Please specify remote port!
addFtpImplicitServiceDialog.error.emptyRemoteTimeout.message=Please specify remote timeout!
addFtpImplicitServiceDialog.error.emptyKey.message=Please specify key!
addFtpImplicitServiceDialog.error.emptyPassiveRegexp.message=Please enter valid regexp!

editFtpImplicitServiceDialog.width=780
editFtpImplicitServiceDialog.height=650
editFtpImplicitServiceDialog.title=Update '{clientProtocol}-{serverProtocol}' Proxy Service
editFtpImplicitServiceDialog.descriptionLabel.title=Proxy Service
editFtpImplicitServiceDialog.descriptionLabel.text=Specify service parameters
editFtpImplicitServiceDialog.basicTab.title=Basic
editFtpImplicitServiceDialog.localHostLabel.text=Local host
editFtpImplicitServiceDialog.localPortLabel.text=port
editFtpImplicitServiceDialog.remoteHostLabel.text=Remote host
editFtpImplicitServiceDialog.remotePortLabel.text=port
editFtpImplicitServiceDialog.remoteTimeoutLabel.text=timeout
editFtpImplicitServiceDialog.remoteTimeoutUnitLabel.text=sec
editFtpImplicitServiceDialog.clusterLabel.text=Cluster
editFtpImplicitServiceDialog.addClusterButton.text=Add
editFtpImplicitServiceDialog.keysLabel.text=Key
editFtpImplicitServiceDialog.generateKeyButton.text=Generate
editFtpImplicitServiceDialog.importKeyButton.text=Import
editFtpImplicitServiceDialog.connectionDelegationBox.text=Delegate connections to available agents
editFtpImplicitServiceDialog.advancedTab.title=Advanced
editFtpImplicitServiceDialog.commandTimeoutLabel.text=Command channel timeout
editFtpImplicitServiceDialog.commandTimeoutUnitLabel.text=sec
editFtpImplicitServiceDialog.dataTimeoutLabel.text=Data channel timeout
editFtpImplicitServiceDialog.dataTimeoutUnitLabel.text=sec
editFtpImplicitServiceDialog.ftpDataChannelBufferSizeEnabledBox.text=Data channel buffer size
editFtpImplicitServiceDialog.ftpDataTransferBufferSizeLabel.text=Data transfer buffer size
editFtpImplicitServiceDialog.bufferSizeUnitLabel.text=byte(s)
editFtpImplicitServiceDialog.passiveIpLabel.text=Passive IP
editFtpImplicitServiceDialog.passiveRegexpBox.text=Do not use Passive IP for client IP matching regexp
editFtpImplicitServiceDialog.passivePortBox.text=Passive port range
editFtpImplicitServiceDialog.passivePortToLabel.text=to
editFtpImplicitServiceDialog.blockBounceBox.text=Block bounce attack
editFtpImplicitServiceDialog.blockPasvBox.text=Block PASV attack
editFtpImplicitServiceDialog.shutdownSslServerBox.text=Shutdown server SSL
editFtpImplicitServiceDialog.shutdownSslClientBox.text=Shutdown client SSL
editFtpImplicitServiceDialog.ftpIgnorePasvIpBox.text=Ignore PASV/LPSV/EPSV IP of server host
editFtpImplicitServiceDialog.fipsModeBox.text=Enable FIPS compliance
editFtpImplicitServiceDialog.error.emptyLocalHost.message=Please specify local host!
editFtpImplicitServiceDialog.error.emptyLocalPort.message=Please specify local port!
editFtpImplicitServiceDialog.error.serviceExists.message=Please select other unique host/port!
editFtpImplicitServiceDialog.error.emptyRemoteHost.message=Please specify remote host!
editFtpImplicitServiceDialog.error.emptyRemotePort.message=Please specify remote port!
editFtpImplicitServiceDialog.error.emptyRemoteTimeout.message=Please specify remote timeout!
editFtpImplicitServiceDialog.error.emptyKey.message=Please specify key!
editFtpImplicitServiceDialog.error.emptyPassiveRegexp.message=Please enter valid regexp!

addRawServiceDialog.width=780
addRawServiceDialog.height=410
addRawServiceDialog.title=Add '{clientProtocol}-{serverProtocol}' Proxy Service
addRawServiceDialog.descriptionLabel.title=Proxy Service
addRawServiceDialog.descriptionLabel.text=Specify service parameters
addRawServiceDialog.basicTab.title=Basic
addRawServiceDialog.localHostLabel.text=Local host
addRawServiceDialog.localPortLabel.text=port
addRawServiceDialog.remoteHostLabel.text=Remote host
addRawServiceDialog.remotePortLabel.text=port
addRawServiceDialog.remoteTimeoutLabel.text=timeout
addRawServiceDialog.remoteTimeoutUnitLabel.text=sec
addRawServiceDialog.clusterLabel.text=Cluster
addRawServiceDialog.addClusterButton.text=Add
addRawServiceDialog.connectionDelegationBox.text=Delegate connections to available agents
addRawServiceDialog.advancedTab.title=Advanced
addRawServiceDialog.timeoutLabel.text=Connection timeout
addRawServiceDialog.timeoutUnitLabel.text=sec
addRawServiceDialog.channelBufferSizeEnabledBox.text=Channel buffer size
addRawServiceDialog.bufferSizeLabel.text=Transfer buffer size
addRawServiceDialog.bufferSizeUnitLabel.text=byte(s)
addRawServiceDialog.error.emptyLocalHost.message=Please specify local host!
addRawServiceDialog.error.emptyLocalPort.message=Please specify local port!
addRawServiceDialog.error.serviceExists.message=Please select other unique host/port!
addRawServiceDialog.error.emptyRemoteHost.message=Please specify remote host!
addRawServiceDialog.error.emptyRemotePort.message=Please specify remote port!
addRawServiceDialog.error.emptyRemoteTimeout.message=Please specify remote timeout!
addRawServiceDialog.error.emptyTimeout.message=Please enter valid timeout!
addRawServiceDialog.error.emptyChannelBufferSize.message=Please enter valid channel buffer size!
addRawServiceDialog.error.emptyBufferSize.message=Please enter valid transfer buffer size!

editRawServiceDialog.width=780
editRawServiceDialog.height=410
editRawServiceDialog.title=Update '{clientProtocol}-{serverProtocol}' Proxy Service
editRawServiceDialog.descriptionLabel.title=Proxy Service
editRawServiceDialog.descriptionLabel.text=Specify service parameters
editRawServiceDialog.basicTab.title=Basic
editRawServiceDialog.localHostLabel.text=Local host
editRawServiceDialog.localPortLabel.text=port
editRawServiceDialog.remoteHostLabel.text=Remote host
editRawServiceDialog.remotePortLabel.text=port
editRawServiceDialog.remoteTimeoutLabel.text=timeout
editRawServiceDialog.remoteTimeoutUnitLabel.text=sec
editRawServiceDialog.clusterLabel.text=Cluster
editRawServiceDialog.addClusterButton.text=Add
editRawServiceDialog.connectionDelegationBox.text=Delegate connections to available agents
editRawServiceDialog.advancedTab.title=Advanced
editRawServiceDialog.timeoutLabel.text=Connection timeout
editRawServiceDialog.timeoutUnitLabel.text=sec
editRawServiceDialog.channelBufferSizeEnabledBox.text=Channel buffer size
editRawServiceDialog.bufferSizeLabel.text=Transfer buffer size
editRawServiceDialog.bufferSizeUnitLabel.text=byte(s)
editRawServiceDialog.error.emptyLocalHost.message=Please specify local host!
editRawServiceDialog.error.emptyLocalPort.message=Please specify local port!
editRawServiceDialog.error.serviceExists.message=Please select other unique host/port!
editRawServiceDialog.error.emptyRemoteHost.message=Please specify remote host!
editRawServiceDialog.error.emptyRemotePort.message=Please specify remote port!
editRawServiceDialog.error.emptyRemoteTimeout.message=Please specify remote timeout!
editRawServiceDialog.error.emptyTimeout.message=Please enter valid timeout!
editRawServiceDialog.error.emptyChannelBufferSize.message=Please enter valid channel buffer size!
editRawServiceDialog.error.emptyBufferSize.message=Please enter valid transfer buffer size!

addRawSslServiceDialog.width=780
addRawSslServiceDialog.height=440
addRawSslServiceDialog.title=Add '{clientProtocol}-{serverProtocol}' Proxy Service
addRawSslServiceDialog.descriptionLabel.title=Proxy Service
addRawSslServiceDialog.descriptionLabel.text=Specify service parameters
addRawSslServiceDialog.basicTab.title=Basic
addRawSslServiceDialog.localHostLabel.text=Local host
addRawSslServiceDialog.localPortLabel.text=port
addRawSslServiceDialog.remoteHostLabel.text=Remote host
addRawSslServiceDialog.remotePortLabel.text=port
addRawSslServiceDialog.remoteTimeoutLabel.text=timeout
addRawSslServiceDialog.remoteTimeoutUnitLabel.text=sec
addRawSslServiceDialog.clusterLabel.text=Cluster
addRawSslServiceDialog.addClusterButton.text=Add
addRawSslServiceDialog.keysLabel.text=Key
addRawSslServiceDialog.generateKeyButton.text=Generate
addRawSslServiceDialog.importKeyButton.text=Import
addRawSslServiceDialog.connectionDelegationBox.text=Delegate connections to available agents
addRawSslServiceDialog.advancedTab.title=Advanced
addRawSslServiceDialog.timeoutLabel.text=Connection timeout
addRawSslServiceDialog.timeoutUnitLabel.text=sec
addRawSslServiceDialog.channelBufferSizeEnabledBox.text=Channel buffer size
addRawSslServiceDialog.bufferSizeLabel.text=Transfer buffer size
addRawSslServiceDialog.bufferSizeUnitLabel.text=byte(s)
addRawSslServiceDialog.fipsModeBox.text=Enable FIPS compliance
addRawSslServiceDialog.error.emptyLocalHost.message=Please specify local host!
addRawSslServiceDialog.error.emptyLocalPort.message=Please specify local port!
addRawSslServiceDialog.error.serviceExists.message=Please select other unique host/port!
addRawSslServiceDialog.error.emptyRemoteHost.message=Please specify remote host!
addRawSslServiceDialog.error.emptyRemotePort.message=Please specify remote port!
addRawSslServiceDialog.error.emptyRemoteTimeout.message=Please specify remote timeout!
addRawSslServiceDialog.error.emptyKey.message=Please specify key!
addRawSslServiceDialog.error.emptyTimeout.message=Please enter valid timeout!
addRawSslServiceDialog.error.emptyChannelBufferSize.message=Please enter valid channel buffer size!
addRawSslServiceDialog.error.emptyBufferSize.message=Please enter valid transfer buffer size!

editRawSslServiceDialog.width=780
editRawSslServiceDialog.height=440
editRawSslServiceDialog.title=Update '{clientProtocol}-{serverProtocol}' Proxy Service
editRawSslServiceDialog.descriptionLabel.title=Proxy Service
editRawSslServiceDialog.descriptionLabel.text=Specify service parameters
editRawSslServiceDialog.basicTab.title=Basic
editRawSslServiceDialog.localHostLabel.text=Local host
editRawSslServiceDialog.localPortLabel.text=port
editRawSslServiceDialog.remoteHostLabel.text=Remote host
editRawSslServiceDialog.remotePortLabel.text=port
editRawSslServiceDialog.remoteTimeoutLabel.text=timeout
editRawSslServiceDialog.remoteTimeoutUnitLabel.text=sec
editRawSslServiceDialog.clusterLabel.text=Cluster
editRawSslServiceDialog.addClusterButton.text=Add
editRawSslServiceDialog.keysLabel.text=Key
editRawSslServiceDialog.generateKeyButton.text=Generate
editRawSslServiceDialog.importKeyButton.text=Import
editRawSslServiceDialog.connectionDelegationBox.text=Delegate connections to available agents
editRawSslServiceDialog.advancedTab.title=Advanced
editRawSslServiceDialog.timeoutLabel.text=Connection timeout
editRawSslServiceDialog.timeoutUnitLabel.text=sec
editRawSslServiceDialog.channelBufferSizeEnabledBox.text=Channel buffer size
editRawSslServiceDialog.bufferSizeLabel.text=Transfer buffer size
editRawSslServiceDialog.bufferSizeUnitLabel.text=byte(s)
editRawSslServiceDialog.fipsModeBox.text=Enable FIPS compliance
editRawSslServiceDialog.error.emptyLocalHost.message=Please specify local host!
editRawSslServiceDialog.error.emptyLocalPort.message=Please specify local port!
editRawSslServiceDialog.error.serviceExists.message=Please select other unique host/port!
editRawSslServiceDialog.error.emptyRemoteHost.message=Please specify remote host!
editRawSslServiceDialog.error.emptyRemotePort.message=Please specify remote port!
editRawSslServiceDialog.error.emptyRemoteTimeout.message=Please specify remote timeout!
editRawSslServiceDialog.error.emptyKey.message=Please specify key!
editRawSslServiceDialog.error.emptyTimeout.message=Please enter valid timeout!
editRawSslServiceDialog.error.emptyChannelBufferSize.message=Please enter valid channel buffer size!
editRawSslServiceDialog.error.emptyBufferSize.message=Please enter valid transfer buffer size!

addUdpServiceDialog.width=780
addUdpServiceDialog.height=410
addUdpServiceDialog.title=Add '{clientProtocol}-{serverProtocol}' Proxy Service
addUdpServiceDialog.descriptionLabel.title=Proxy Service
addUdpServiceDialog.descriptionLabel.text=Specify service parameters
addUdpServiceDialog.basicTab.title=Basic
addUdpServiceDialog.localHostLabel.text=Local host
addUdpServiceDialog.localPortLabel.text=port
addUdpServiceDialog.remoteHostLabel.text=Remote host
addUdpServiceDialog.remotePortLabel.text=port
addUdpServiceDialog.remoteTimeoutLabel.text=timeout
addUdpServiceDialog.remoteTimeoutUnitLabel.text=sec
addUdpServiceDialog.clusterLabel.text=Cluster
addUdpServiceDialog.addClusterButton.text=Add
addUdpServiceDialog.connectionDelegationBox.text=Delegate connections to available agents
addUdpServiceDialog.advancedTab.title=Advanced
addUdpServiceDialog.timeoutLabel.text=Connection timeout
addUdpServiceDialog.timeoutUnitLabel.text=sec
addUdpServiceDialog.error.emptyLocalHost.message=Please specify local host!
addUdpServiceDialog.error.emptyLocalPort.message=Please specify local port!
addUdpServiceDialog.error.serviceExists.message=Please select other unique host/port!
addUdpServiceDialog.error.emptyRemoteHost.message=Please specify remote host!
addUdpServiceDialog.error.emptyRemotePort.message=Please specify remote port!
addUdpServiceDialog.error.emptyRemoteTimeout.message=Please specify remote timeout!
addUdpServiceDialog.error.emptyConnectionTimeout.message=Please specify connection timeout!

editUdpServiceDialog.width=780
editUdpServiceDialog.height=410
editUdpServiceDialog.title=Update '{clientProtocol}-{serverProtocol}' Proxy Service
editUdpServiceDialog.descriptionLabel.title=Proxy Service
editUdpServiceDialog.descriptionLabel.text=Specify service parameters
editUdpServiceDialog.basicTab.title=Basic
editUdpServiceDialog.localHostLabel.text=Local host
editUdpServiceDialog.localPortLabel.text=port
editUdpServiceDialog.remoteHostLabel.text=Remote host
editUdpServiceDialog.remotePortLabel.text=port
editUdpServiceDialog.remoteTimeoutLabel.text=timeout
editUdpServiceDialog.remoteTimeoutUnitLabel.text=sec
editUdpServiceDialog.clusterLabel.text=Cluster
editUdpServiceDialog.addClusterButton.text=Add
editUdpServiceDialog.connectionDelegationBox.text=Delegate connections to available agents
editUdpServiceDialog.advancedTab.title=Advanced
editUdpServiceDialog.timeoutLabel.text=Connection timeout
editUdpServiceDialog.timeoutUnitLabel.text=sec
editUdpServiceDialog.error.emptyLocalHost.message=Please specify local host!
editUdpServiceDialog.error.emptyLocalPort.message=Please specify local port!
editUdpServiceDialog.error.serviceExists.message=Please select other unique host/port!
editUdpServiceDialog.error.emptyRemoteHost.message=Please specify remote host!
editUdpServiceDialog.error.emptyRemotePort.message=Please specify remote port!
editUdpServiceDialog.error.emptyRemoteTimeout.message=Please specify remote timeout!
editUdpServiceDialog.error.emptyConnectionTimeout.message=Please specify connection timeout!

addHttpServiceDialog.width=780
addHttpServiceDialog.height=470
addHttpServiceDialog.title=Add '{clientProtocol}-{serverProtocol}' Proxy Service
addHttpServiceDialog.descriptionLabel.title=Proxy Service
addHttpServiceDialog.descriptionLabel.text=Specify service parameters
addHttpServiceDialog.basicTab.title=Basic
addHttpServiceDialog.localHostLabel.text=Local host
addHttpServiceDialog.localPortLabel.text=port
addHttpServiceDialog.remoteHostLabel.text=Remote host
addHttpServiceDialog.remotePortLabel.text=port
addHttpServiceDialog.remoteTimeoutLabel.text=timeout
addHttpServiceDialog.remoteTimeoutUnitLabel.text=sec
addHttpServiceDialog.clusterLabel.text=Cluster
addHttpServiceDialog.addClusterButton.text=Add
addHttpServiceDialog.connectionDelegationBox.text=Delegate connections to available agents
addHttpServiceDialog.useRewriteRulesBox.text=Enable URL rewriting
addHttpServiceDialog.rewriteRulesButton.text=Settings...
addHttpServiceDialog.rewriteRulesButton.width=75
addHttpServiceDialog.testParametersBox.text=Enable HTTP-specific monitor
addHttpServiceDialog.testParametersButton.text=Settings...
addHttpServiceDialog.testParametersButton.width=75
addHttpServiceDialog.advancedTab.title=Advanced
addHttpServiceDialog.timeoutLabel.text=Connection timeout
addHttpServiceDialog.timeoutUnitLabel.text=sec
addHttpServiceDialog.channelBufferSizeEnabledBox.text=Channel buffer size
addHttpServiceDialog.bufferSizeUnitLabel.text=byte(s)
addHttpServiceDialog.httpNatHostLabel.text=NAT host
addHttpServiceDialog.cacheBox.text=Cache
addHttpServiceDialog.rulesButton.text=URL Rewrite Rules
addHttpServiceDialog.rulesButton.width=150
addHttpServiceDialog.error.emptyLocalHost.message=Please specify local host!
addHttpServiceDialog.error.emptyLocalPort.message=Please specify local port!
addHttpServiceDialog.error.serviceExists.message=Please select other unique host/port!
addHttpServiceDialog.error.emptyRemoteHost.message=Please specify remote host!
addHttpServiceDialog.error.emptyRemotePort.message=Please specify remote port!
addHttpServiceDialog.error.emptyRemoteTimeout.message=Please specify remote timeout!
addHttpServiceDialog.error.emptyConnectionTimeout.message=Please enter valid timeout!
addHttpServiceDialog.error.emptyChannelBufferSize.message=Please enter valid channel buffer size!
addHttpServiceDialog.error.emptyCacheDirectory.message=Please enter valid directory!

editHttpServiceDialog.width=780
editHttpServiceDialog.height=470
editHttpServiceDialog.title=Update '{clientProtocol}-{serverProtocol}' Proxy Service
editHttpServiceDialog.descriptionLabel.title=Proxy Service
editHttpServiceDialog.descriptionLabel.text=Specify service parameters
editHttpServiceDialog.basicTab.title=Basic
editHttpServiceDialog.localHostLabel.text=Local host
editHttpServiceDialog.localPortLabel.text=port
editHttpServiceDialog.remoteHostLabel.text=Remote host
editHttpServiceDialog.remotePortLabel.text=port
editHttpServiceDialog.remoteTimeoutLabel.text=timeout
editHttpServiceDialog.remoteTimeoutUnitLabel.text=sec
editHttpServiceDialog.clusterLabel.text=Cluster
editHttpServiceDialog.addClusterButton.text=Add
editHttpServiceDialog.connectionDelegationBox.text=Delegate connections to available agents
editHttpServiceDialog.useRewriteRulesBox.text=Enable URL rewriting
editHttpServiceDialog.rewriteRulesButton.text=Settings...
editHttpServiceDialog.rewriteRulesButton.width=75
editHttpServiceDialog.testParametersBox.text=Enable HTTP-specific monitor
editHttpServiceDialog.testParametersButton.text=Settings...
editHttpServiceDialog.testParametersButton.width=75
editHttpServiceDialog.advancedTab.title=Advanced
editHttpServiceDialog.timeoutLabel.text=Connection timeout
editHttpServiceDialog.timeoutUnitLabel.text=sec
editHttpServiceDialog.channelBufferSizeEnabledBox.text=Channel buffer size
editHttpServiceDialog.bufferSizeUnitLabel.text=byte(s)
editHttpServiceDialog.httpNatHostLabel.text=NAT host
editHttpServiceDialog.cacheBox.text=Cache
editHttpServiceDialog.rulesButton.text=URL Rewrite Rules
editHttpServiceDialog.rulesButton.width=150
editHttpServiceDialog.error.emptyLocalHost.message=Please specify local host!
editHttpServiceDialog.error.emptyLocalPort.message=Please specify local port!
editHttpServiceDialog.error.serviceExists.message=Please select other unique host/port!
editHttpServiceDialog.error.emptyRemoteHost.message=Please specify remote host!
editHttpServiceDialog.error.emptyRemotePort.message=Please specify remote port!
editHttpServiceDialog.error.emptyRemoteTimeout.message=Please specify remote timeout!
editHttpServiceDialog.error.emptyConnectionTimeout.message=Please enter valid timeout!
editHttpServiceDialog.error.emptyChannelBufferSize.message=Please enter valid channel buffer size!
editHttpServiceDialog.error.emptyCacheDirectory.message=Please enter valid directory!

addHttpsServiceDialog.width=780
addHttpsServiceDialog.height=520
addHttpsServiceDialog.title=Add '{clientProtocol}-{serverProtocol}' Proxy Service
addHttpsServiceDialog.descriptionLabel.title=Proxy Service
addHttpsServiceDialog.descriptionLabel.text=Specify service parameters
addHttpsServiceDialog.basicTab.title=Basic
addHttpsServiceDialog.localHostLabel.text=Local host
addHttpsServiceDialog.localPortLabel.text=port
addHttpsServiceDialog.remoteHostLabel.text=Remote host
addHttpsServiceDialog.remotePortLabel.text=port
addHttpsServiceDialog.remoteTimeoutLabel.text=timeout
addHttpsServiceDialog.remoteTimeoutUnitLabel.text=sec
addHttpsServiceDialog.clusterLabel.text=Cluster
addHttpsServiceDialog.addClusterButton.text=Add
addHttpsServiceDialog.keysLabel.text=Key
addHttpsServiceDialog.generateKeyButton.text=Generate
addHttpsServiceDialog.importKeyButton.text=Import
addHttpsServiceDialog.connectionDelegationBox.text=Delegate connections to available agents
addHttpsServiceDialog.fipsModeBox.text=Enable FIPS compliance
addHttpsServiceDialog.useRewriteRulesBox.text=Enable URL rewriting
addHttpsServiceDialog.rewriteRulesButton.text=Settings...
addHttpsServiceDialog.rewriteRulesButton.width=75
addHttpsServiceDialog.testParametersBox.text=Enable HTTP-specific monitor
addHttpsServiceDialog.testParametersButton.text=Settings...
addHttpsServiceDialog.testParametersButton.width=75
addHttpsServiceDialog.advancedTab.title=Advanced
addHttpsServiceDialog.timeoutLabel.text=Connection timeout
addHttpsServiceDialog.timeoutUnitLabel.text=sec
addHttpsServiceDialog.channelBufferSizeEnabledBox.text=Channel buffer size
addHttpsServiceDialog.bufferSizeUnitLabel.text=byte(s)
addHttpsServiceDialog.httpNatHostLabel.text=NAT host
addHttpsServiceDialog.cacheBox.text=Cache
addHttpsServiceDialog.rulesButton.text=URL Rewrite Rules
addHttpsServiceDialog.rulesButton.width=150
addHttpsServiceDialog.error.emptyLocalHost.message=Please specify local host!
addHttpsServiceDialog.error.emptyLocalPort.message=Please specify local port!
addHttpsServiceDialog.error.serviceExists.message=Please select other unique host/port!
addHttpsServiceDialog.error.emptyRemoteHost.message=Please specify remote host!
addHttpsServiceDialog.error.emptyRemotePort.message=Please specify remote port!
addHttpsServiceDialog.error.emptyRemoteTimeout.message=Please specify remote timeout!
addHttpsServiceDialog.error.emptyKey.message=Please specify key!
addHttpsServiceDialog.error.emptyConnectionTimeout.message=Please enter valid timeout!
addHttpsServiceDialog.error.emptyChannelBufferSize.message=Please enter valid channel buffer size!
addHttpsServiceDialog.error.emptyCacheDirectory.message=Please enter valid directory!

editHttpsServiceDialog.width=780
editHttpsServiceDialog.height=520
editHttpsServiceDialog.title=Update '{clientProtocol}-{serverProtocol}' Proxy Service
editHttpsServiceDialog.descriptionLabel.title=Proxy Service
editHttpsServiceDialog.descriptionLabel.text=Specify service parameters
editHttpsServiceDialog.basicTab.title=Basic
editHttpsServiceDialog.localHostLabel.text=Local host
editHttpsServiceDialog.localPortLabel.text=port
editHttpsServiceDialog.remoteHostLabel.text=Remote host
editHttpsServiceDialog.remotePortLabel.text=port
editHttpsServiceDialog.remoteTimeoutLabel.text=timeout
editHttpsServiceDialog.remoteTimeoutUnitLabel.text=sec
editHttpsServiceDialog.clusterLabel.text=Cluster
editHttpsServiceDialog.addClusterButton.text=Add
editHttpsServiceDialog.keysLabel.text=Key
editHttpsServiceDialog.generateKeyButton.text=Generate
editHttpsServiceDialog.importKeyButton.text=Import
editHttpsServiceDialog.connectionDelegationBox.text=Delegate connections to available agents
editHttpsServiceDialog.fipsModeBox.text=Enable FIPS compliance
editHttpsServiceDialog.useRewriteRulesBox.text=Enable URL rewriting
editHttpsServiceDialog.rewriteRulesButton.text=Settings...
editHttpsServiceDialog.rewriteRulesButton.width=75
editHttpsServiceDialog.testParametersBox.text=Enable HTTP-specific monitor
editHttpsServiceDialog.testParametersButton.text=Settings...
editHttpsServiceDialog.testParametersButton.width=75
editHttpsServiceDialog.advancedTab.title=Advanced
editHttpsServiceDialog.timeoutLabel.text=Connection timeout
editHttpsServiceDialog.timeoutUnitLabel.text=sec
editHttpsServiceDialog.channelBufferSizeEnabledBox.text=Channel buffer size
editHttpsServiceDialog.bufferSizeUnitLabel.text=byte(s)
editHttpsServiceDialog.httpNatHostLabel.text=NAT host
editHttpsServiceDialog.cacheBox.text=Cache
editHttpsServiceDialog.rulesButton.text=URL Rewrite Rules
editHttpsServiceDialog.rulesButton.width=150
editHttpsServiceDialog.error.emptyLocalHost.message=Please specify local host!
editHttpsServiceDialog.error.emptyLocalPort.message=Please specify local port!
editHttpsServiceDialog.error.serviceExists.message=Please select other unique host/port!
editHttpsServiceDialog.error.emptyRemoteHost.message=Please specify remote host!
editHttpsServiceDialog.error.emptyRemotePort.message=Please specify remote port!
editHttpsServiceDialog.error.emptyRemoteTimeout.message=Please specify remote timeout!
editHttpsServiceDialog.error.emptyKey.message=Please specify key!
editHttpsServiceDialog.error.emptyConnectionTimeout.message=Please enter valid timeout!
editHttpsServiceDialog.error.emptyChannelBufferSize.message=Please enter valid channel buffer size!
editHttpsServiceDialog.error.emptyCacheDirectory.message=Please enter valid directory!

httpTestParametersDialog.width=650
httpTestParametersDialog.height=300
httpTestParametersDialog.title=HTTP Monitor Parameters
httpTestParametersDialog.descriptionLabel.title=HTTP Monitor Parameters
httpTestParametersDialog.descriptionLabel.text=Specify HTTP monitor parameters
httpTestParametersDialog.monitorPathLabel.text=Monitor path
httpTestParametersDialog.monitorStatusRegexpLabel.text=Status regexp
httpTestParametersDialog.monitorBodyRegexpLabel.text=Body regexp
httpTestParametersDialog.error.emptyMonitorPath.message=Please specify monitor path!
httpTestParametersDialog.error.emptyMonitorStatusRegexp.message=Please specify monitor status regexp!

httpServiceRulesDialog.width=630
httpServiceRulesDialog.height=450
httpServiceRulesDialog.title=URL Rewrite Rules
httpServiceRulesDialog.descriptionLabel.title=URL Rewrite Rules
httpServiceRulesDialog.descriptionLabel.text=Specify service rules
httpServiceRulesDialog.rulesTable.column.0=Rule
httpServiceRulesDialog.rulesTable.column.1=Enabled

serviceCreatedDialog.message='{clientProtocol}-{serverProtocol}' proxy service at {host}:{port} created!
serviceUpdatedDialog.message='{clientProtocol}-{serverProtocol}' proxy service at {host}:{port} updated!

serviceStartedDialog.message=Proxy service at {host}:{port} started!

stopServiceDialog.title=Stop Service
stopServiceDialog.message=Stop proxy service '{host}:{port}'?
stopServiceDialog.message.selected=Stop selected proxy services?

serviceStoppedDialog.message=Proxy service at {host}:{port} stopped!
serviceStoppedDialog.message.selected={count} services stopped!

clearServiceCacheDialog.title=Clear Cache
clearServiceCacheDialog.message=Clear proxy service '{host}:{port}' cache?
clearServiceCacheDialog.message.selected=Clear selected services cache?

serviceCacheClearedDialog.message=Proxy service at {host}:{port} cache cleared!
serviceCacheClearedDialog.message.selected={count} services cache cleared!

deleteServiceDialog.title=Delete Service
deleteServiceDialog.message=Delete proxy service '{host}:{port}'?
deleteServiceDialog.message.selected=Delete selected services?

serviceDeletedDialog.message=Proxy service at {host}:{port} deleted!
serviceDeletedDialog.message.selected={count} services deleted!

sslCiphersDialog.width=630
sslCiphersDialog.height=480
sslCiphersDialog.title=SSL/TLS Ciphers
sslCiphersDialog.descriptionLabel.title=SSL/TLS ciphers
sslCiphersDialog.descriptionLabel.text=Specify enabled ciphers
sslCiphersDialog.ciphersTable.column.0=Cipher
sslCiphersDialog.ciphersTable.column.1=Enabled
sslCiphersDialog.selectStrongButton.text=Strong Ciphers
sslCiphersDialog.selectStrongButton.width=110
sslCiphersDialog.selectSslMediumButton.text=Strong & Medium Ciphers
sslCiphersDialog.selectSslMediumButton.width=180

sslCiphersButton.text=SSL/TLS Ciphers
sslCiphersButton.width=120

rewriteRulesDialog.width=1000
rewriteRulesDialog.height=450
rewriteRulesDialog.title=URL Rewrite Rules
rewriteRulesDialog.descriptionLabel.title=URL Rewrite Rules
rewriteRulesDialog.descriptionLabel.text=Specify URL rewrite rules
rewriteRulesDialog.rulesTable.column.0=Name
rewriteRulesDialog.rulesTable.column.1=Scope
rewriteRulesDialog.rulesTable.column.2=Direction
rewriteRulesDialog.rulesTable.column.3=Replace Scope
rewriteRulesDialog.rulesTable.column.4=Find Regexp
rewriteRulesDialog.rulesTable.column.5=Replace Regexp
rewriteRulesDialog.rulesTable.column.6=Ignore subsequent rules
rewriteRulesDialog.rulesTable.column.7=Description
rewriteRulesDialog.testRewriteRuleButton.text=Test

rewriteRule.scope.REQUEST_URI=request URI
rewriteRule.scope.HEADERS=headers
rewriteRule.scope.CONTENT=content
rewriteRule.scope.HEADERS_AND_CONTENT=headers and content

rewriteRule.direction.SERVER_CLIENT=server-client
rewriteRule.direction.CLIENT_SERVER=client-server
rewriteRule.direction.ANY=any direction

rewriteRule.replaceScope.FIRST_ENTRY=first entry
rewriteRule.replaceScope.LAST_ENTRY=last entry
rewriteRule.replaceScope.ALL_ENTRIES=all entries

addRewriteRuleDialog.width=670
addRewriteRuleDialog.height=430
addRewriteRuleDialog.title=Add URL Rewrite Rule
addRewriteRuleDialog.descriptionLabel.title=URL Rewrite Rule
addRewriteRuleDialog.descriptionLabel.text=Specify URL rewrite rule parameters
addRewriteRuleDialog.ruleNameLabel.text=Name
addRewriteRuleDialog.ruleDescriptionLabel.text=Description
addRewriteRuleDialog.ruleDirectionLabel.text=Direction
addRewriteRuleDialog.ruleScopeLabel.text=Scope
addRewriteRuleDialog.ruleReplaceScopeLabel.text=Replace scope
addRewriteRuleDialog.ruleFindRegexpLabel.text=Find regexp
addRewriteRuleDialog.ruleReplaceRegexpLabel.text=Replace regexp
addRewriteRuleDialog.ruleExclusiveBox.text=Ignore subsequent rewrite rules once processed
addRewriteRuleDialog.addVariableButton.text=Add Variable
addRewriteRuleDialog.addVariableButton.width=105
addRewriteRuleDialog.error.emptyName.message=Please enter non-empty name!
addRewriteRuleDialog.error.nameExists.message=Please select other unique name!
addRewriteRuleDialog.error.emptyFindRegexp.message=Please enter non-empty find regexp!
addRewriteRuleDialog.error.emptyReplaceRegexp.message=Please enter non-empty replace regexp!

editRewriteRuleDialog.width=670
editRewriteRuleDialog.height=390
editRewriteRuleDialog.title=Edit '{name}' URL Rewrite Rule
editRewriteRuleDialog.descriptionLabel.title=URL Rewrite Rule
editRewriteRuleDialog.descriptionLabel.text=Specify URL rewrite rule parameters
editRewriteRuleDialog.ruleDescriptionLabel.text=Description
editRewriteRuleDialog.ruleDirectionLabel.text=Direction
editRewriteRuleDialog.ruleScopeLabel.text=Scope
editRewriteRuleDialog.ruleReplaceScopeLabel.text=Replace scope
editRewriteRuleDialog.ruleFindRegexpLabel.text=Find regexp
editRewriteRuleDialog.ruleReplaceRegexpLabel.text=Replace regexp
editRewriteRuleDialog.ruleExclusiveBox.text=Ignore subsequent rewrite rules once processed
editRewriteRuleDialog.addVariableButton.text=Add Variable
editRewriteRuleDialog.addVariableButton.width=105
editRewriteRuleDialog.error.emptyFindRegexp.message=Please enter non-empty find regexp!
editRewriteRuleDialog.error.emptyReplaceRegexp.message=Please enter non-empty replace regexp!

testRewriteRuleDialog.width=650
testRewriteRuleDialog.height=580
testRewriteRuleDialog.title=Test URL Rewrite Rule '{name}'
testRewriteRuleDialog.descriptionLabel.title=Environment Settings
testRewriteRuleDialog.descriptionLabel.text=Specify test environment settings
testRewriteRuleDialog.findRegexpLabel.text=Find regexp
testRewriteRuleDialog.replaceRegexpLabel.text=Replace regexp
testRewriteRuleDialog.serverIpLabel.text=Server IP
testRewriteRuleDialog.serverHostLabel.text=Server host
testRewriteRuleDialog.serverPortLabel.text=Server port
testRewriteRuleDialog.clientIpLabel.text=Client IP
testRewriteRuleDialog.clientPortLabel.text=Client port
testRewriteRuleDialog.gatewayOuterIpLabel.text=Gateway outer IP
testRewriteRuleDialog.gatewayOuterHostLabel.text=Gateway outer host
testRewriteRuleDialog.gatewayIpLabel.text=Gateway IP
testRewriteRuleDialog.gatewayPortLabel.text=Gateway port
testRewriteRuleDialog.contentLabel.text=Target content
testRewriteRuleDialog.error.emptyServerPort.message=Please enter server port!
testRewriteRuleDialog.error.emptyClientPort.message=Please enter client port!
testRewriteRuleDialog.error.emptyGatewayPort.message=Please enter gateway port!

testRuleResultDialog.width=510
testRuleResultDialog.height=400
testRuleResultDialog.title=Test URL Rewrite Rule Result
testRuleResultDialog.descriptionLabel.title= Test Result
testRuleResultDialog.descriptionLabel.text=Check the rule test result

deleteRewriteDialog.title=Delete URL Rewrite Rule
deleteRewriteDialog.message=Delete rule '{name}'?

rewriteRuleVariablesDialog.width=560
rewriteRuleVariablesDialog.height=400
rewriteRuleVariablesDialog.title=Add Variable
rewriteRuleVariablesDialog.descriptionLabel.title=Regexp Variable
rewriteRuleVariablesDialog.descriptionLabel.text=Select rewrite rule regexp variable
rewriteRuleVariablesDialog.variableTable.column.0=Name
rewriteRuleVariablesDialog.variableTable.column.1=Description

variable.SERVER_IP.description=Server IP address.
variable.SERVER_HOSTNAME.description=Server hostname.
variable.SERVER_PORT.description=Server port.
variable.CLIENT_IP.description=Client IP address.
variable.CLIENT_PORT.description=Client port.
variable.GATEWAY_OUTER_IP.description=Gateway outer IP address.
variable.GATEWAY_OUTER_HOSTNAME.description=Gateway outer hostname.
variable.GATEWAY_IP.description=Gateway internal IP address.
variable.GATEWAY_PORT.description=Gateway internal port.

sessionsPage.sessionsTab.title=Sessions
sessionsPage.sessionsTable.column.0=ID
sessionsPage.sessionsTable.column.1=Creation Time
sessionsPage.sessionsTable.column.2=Uptime
sessionsPage.sessionsTable.column.3=Client Address
sessionsPage.sessionsTable.column.4=Gateway Server Address
sessionsPage.sessionsTable.column.5=Gateway Client Address
sessionsPage.sessionsTable.column.6=Server Address
sessionsPage.sessionsTable.column.7=Client Protocol
sessionsPage.sessionsTable.column.8=Server Protocol

closeProxySessionDialog.title=Close Proxy Session
closeProxySessionDialog.message=Close proxy session '{id}'?

proxySessionClosedDialog.message=Proxy session '{id}' closed!

balancingAlgorithm.ROUND_ROBIN=Round Robin
balancingAlgorithm.WEIGHTED_ROUND_ROBIN=Weighted Round Robin
balancingAlgorithm.RANDOM=Random
balancingAlgorithm.LEAST_CONNECTIONS=Least Connections
balancingAlgorithm.WEIGHTED_LEAST_CONNECTIONS=Weighted Least Connections

clustersPage.title=Clusters
clustersPage.clustersTable.column.0=Name
clustersPage.clustersTable.column.1=Protocol
clustersPage.clustersTable.column.2=Algorithm
clustersPage.clustersTable.column.3=Hosts

addClusterDialog.width=600
addClusterDialog.height=570
addClusterDialog.title=Add Cluster
addClusterDialog.descriptionLabel.title=Cluster
addClusterDialog.descriptionLabel.text=Specify cluster parameters
addClusterDialog.clusterNameLabel.text=Name
addClusterDialog.clusterProtocolLabel.text=Protocol
addClusterDialog.clusterAlgorithmLabel.text=Algorithm
addClusterDialog.clusterTtlLabel.text=IP binding time to live
addClusterDialog.clusterTtlUnitLabel.text=min
addClusterDialog.hostsTable.column.0=Host
addClusterDialog.hostsTable.column.1=Port
addClusterDialog.hostsTable.column.2=Weight
addClusterDialog.hostsTable.column.3=Status
addClusterDialog.error.validName.message=Please enter valid name! Name field may only contain alpha-numerical characters.
addClusterDialog.error.nameExists.message=Please select other unique name!
addClusterDialog.error.emptyTtl.message=Please enter valid binding time!
addClusterDialog.error.noHosts.message=Please add at least one host!

clusterCreatedDialog.title=Cluster Created
clusterCreatedDialog.message=Cluster '{name}' created!

editClusterDialog.width=590
editClusterDialog.height=520
editClusterDialog.title=Edit '{name}' Cluster
editClusterDialog.descriptionLabel.title=Cluster
editClusterDialog.descriptionLabel.text=Specify cluster parameters
editClusterDialog.clusterAlgorithmLabel.text=Algorithm
editClusterDialog.clusterTtlLabel.text=IP binding time to live
editClusterDialog.clusterTtlUnitLabel.text=min
editClusterDialog.hostsTable.column.0=Host
editClusterDialog.hostsTable.column.1=Port
editClusterDialog.hostsTable.column.2=Weight
editClusterDialog.hostsTable.column.3=Status
editClusterDialog.error.emptyTtl.message=Please enter valid binding time!
editClusterDialog.error.noHosts.message=Please add at least one host!

clusterUpdatedDialog.message=Cluster '{name}' updated!

deleteClusterDialog.title=Delete Cluster
deleteClusterDialog.message=Delete cluster '{name}'?
deleteClusterDialog.message.selected=Delete selected clusters?

clusterDeletedDialog.message=Cluster '{name}' deleted!
clusterDeletedDialog.message.selected={count} clusters deleted!

addHostDialog.width=590
addHostDialog.height=310
addHostDialog.title=Add Server Host
addHostDialog.descriptionLabel.title=Server Host
addHostDialog.descriptionLabel.text=Specify server host connection parameters
addHostDialog.hostLabel.text=Host
addHostDialog.portLabel.text=port
addHostDialog.timeoutLabel.text=Timeout
addHostDialog.timeoutUnitLabel.text=sec
addHostDialog.weightLabel.text=Weight
addHostDialog.hostEnabledLabel.text=Enabled
addHostDialog.error.validHost.message=Please enter valid host!
addHostDialog.error.hostExists.message=Please select other unique host/port!
addHostDialog.error.emptyPort.message=Please enter valid port!
addHostDialog.error.emptyTimeout.message=Please enter valid timeout!
addHostDialog.error.emptyWeight.message=Please enter valid weight!

editHostDialog.width=590
editHostDialog.height=280
editHostDialog.title=Edit Server Host '{host}:{port}'
editHostDialog.descriptionLabel.title=Server Host
editHostDialog.descriptionLabel.text=Specify server host connection parameters
editHostDialog.timeoutLabel.text=Timeout
editHostDialog.timeoutUnitLabel.text=sec
editHostDialog.weightLabel.text=Weight
editHostDialog.hostEnabledLabel.text=Enabled
editHostDialog.error.emptyTimeout.message=Please enter valid timeout!
editHostDialog.error.emptyWeight.message=Please enter valid weight!

deleteHostDialog.title=Delete Host
deleteHostDialog.message=Delete host '{host}:{port}'?

ipaccessPage.title=IP Access
ipaccessPage.rulesTable.column.0=IP Mask
ipaccessPage.rulesTable.column.1=Access
ipaccessPage.rulesTable.column.2=Reason

ipaccess.allowed=allowed
ipaccess.denied=denied

ipAccessConfigurationAppliedDialog.message=IP access configuration updated!

changeIpAccessConfigurationDialog.width=630
changeIpAccessConfigurationDialog.height=450
changeIpAccessConfigurationDialog.title=IP Access Configuration
changeIpAccessConfigurationDialog.descriptionLabel.title=IP Access Parameters
changeIpAccessConfigurationDialog.descriptionLabel.text=Specify access parameters
changeIpAccessConfigurationDialog.editRulesTable.column.0=IP Mask
changeIpAccessConfigurationDialog.editRulesTable.column.1=Access
changeIpAccessConfigurationDialog.editRulesTable.column.2=Reason

addRuleDialog.width=530
addRuleDialog.height=280
addRuleDialog.title=Add IP Access Rule
addRuleDialog.descriptionLabel.title=IP Access Rule
addRuleDialog.descriptionLabel.text=Specify access rule parameters
addRuleDialog.maskLabel.text=IP mask
addRuleDialog.addReasonLabel.text=Reason
addRuleDialog.addAccessAllowedBox.text=Access allowed
addRuleDialog.error.emptyMask.message=Please enter access mask!
addRuleDialog.error.maskExists.message=Please select other unique mask!

editRuleDialog.width=530
editRuleDialog.height=250
editRuleDialog.title=Edit '{mask}' IP Access Rule
editRuleDialog.descriptionLabel.title=IP Access Rule
editRuleDialog.descriptionLabel.text=Specify access rule parameters
editRuleDialog.editReasonLabel.text=Reason
editRuleDialog.editAccessAllowedBox.text=Access allowed

deleteRuleDialog.title=Delete IP Access Rule
deleteRuleDialog.message=Delete rule '{mask}'?

loggingPage.serviceTab.title=Logging
logServicePanel.logServiceTypeLabel.text=Type:
logServicePanel.fileLogServiceTypeField.text=file
logServicePanel.dbLogServiceTypeField.text=database
logServicePanel.logDirectoryLabel.text=Log directory:
logServicePanel.rotationTypeLabel.text=File rotation:
logServicePanel.dbUrlLabel.text=Database URL:
logServicePanel.dbUsernameLabel.text=Username:
logServicePanel.dbPoolSizeLabel.text=Pool size:
logServicePanel.dbTtlLabel.text=Idle timeout:
logServicePanel.dbTtlField.text={value} min

fileRotationType.DAILY=daily
fileRotationType.WEEKLY=weekly
fileRotationType.MONTHLY=monthly
fileRotationType.MAX_SIZE=by file size

logType.FILE=file
logType.DATABASE=database

logServiceTypeDialog.width=430
logServiceTypeDialog.height=220
logServiceTypeDialog.title=Service Type
logServiceTypeDialog.descriptionLabel.title=Service Type
logServiceTypeDialog.descriptionLabel.text=Specify service type
logServiceTypeDialog.typeLabel.text=Type

logServiceConfigurationAppliedDialog.message=Log configuration updated!

logFileConfigurationDialog.width=630
logFileConfigurationDialog.height=250
logFileConfigurationDialog.title=File Log
logFileConfigurationDialog.descriptionLabel.title=Service Parameters
logFileConfigurationDialog.descriptionLabel.text=Specify service parameters
logFileConfigurationDialog.logDirectoryLabel.text=Log directory
logFileConfigurationDialog.rotationTypeLabel.text=Rotate log
logFileConfigurationDialog.dailyLabel.text=Daily
logFileConfigurationDialog.weeklyLabel.text=Weekly
logFileConfigurationDialog.monthlyLabel.text=Monthly
logFileConfigurationDialog.sizeReachesLabel.text=Size reaches
logFileConfigurationDialog.sizeUnitLabel.text=MiB
logFileConfigurationDialog.error.emptyLogDirectory.message=Please enter valid log directory!

logDatabaseConfigurationDialog.width=590
logDatabaseConfigurationDialog.height=360
logDatabaseConfigurationDialog.title=Database Log
logDatabaseConfigurationDialog.descriptionLabel.title=Service Parameters
logDatabaseConfigurationDialog.descriptionLabel.text=Specify service parameters
logDatabaseConfigurationDialog.dbUrlLabel.text=JDBC database URL
logDatabaseConfigurationDialog.dbUsernameLabel.text=Username
logDatabaseConfigurationDialog.dbPasswordLabel.text=Password
logDatabaseConfigurationDialog.dbPoolSizeLabel.text=Connections pool size
logDatabaseConfigurationDialog.dbTtlLabel.text=Connection time-to-live
logDatabaseConfigurationDialog.dbTtlUnitLabel.text=min
logDatabaseConfigurationDialog.testDbConfigurationButton.text=Test
logDatabaseConfigurationDialog.error.emptyUrl.message=Please enter valid JDBC URL!
logDatabaseConfigurationDialog.error.emptyPool.message=Please enter valid pool size!
logDatabaseConfigurationDialog.error.emptyTtl.message=Please enter valid time-to-live!

logDatabaseConfigurationDialog.createdDialog.message=Service database created!

logDatabaseConfigurationDialog.testDialog.message=Service test passed!

loggingPage.logTab.title=View Log
loggingPage.logTab.recordsLabel.text=Show
loggingPage.logTab.recordsUnitLabel.text=last records
loggingPage.error.emptyRecords.message=Please enter valid records number!

monitorPage.monitorTab.title=Health Monitor
monitorPage.statusLabel.text=Status:
monitorPage.intervalLabel.text=Interval:
monitorPage.intervalField.text={value} sec
monitorPage.attemptsLabel.text=Retry:
monitorPage.attemptsField.text={value} time(s)
monitorPage.hostNotificationLabel.text=Host issue alert:
monitorPage.agentNotificationLabel.text=Agent issue alert:

monitorServiceConfigurationAppliedDialog.message=Health monitor configuration updated!

monitorConfigurationDialog.width=590
monitorConfigurationDialog.height=370
monitorConfigurationDialog.title=Health Monitor Configuration
monitorConfigurationDialog.descriptionLabel.title=Health Monitor Configuration
monitorConfigurationDialog.descriptionLabel.text=Specify Health Monitor parameters
monitorConfigurationDialog.intervalLabel.text=Interval
monitorConfigurationDialog.intervalUnitLabel.text=sec
monitorConfigurationDialog.attemptsLabel.text=Retry
monitorConfigurationDialog.attemptsUnitLabel.text=time(s)
monitorConfigurationDialog.hostNotificationBox.text=Notify host issue to
monitorConfigurationDialog.agentNotificationBox.text=Notify agent issue to
monitorConfigurationDialog.hostEmailDetailsButton.text=Email...
monitorConfigurationDialog.agentEmailDetailsButton.text=Email...
monitorConfigurationDialog.enabledBox.text=Enabled
monitorConfigurationDialog.error.emptyInterval.message=Please enter valid interval!
monitorConfigurationDialog.error.emptyRetry.message=Please enter valid retry value!
monitorConfigurationDialog.error.emptyHostNotificationRecipient.message=Please enter valid recipient email!
monitorConfigurationDialog.error.emptyAgentNotificationRecipient.message=Please enter valid recipient email!

alertDetailsDialog.width=590
alertDetailsDialog.height=350
alertDetailsDialog.title=Alert Email Details
alertDetailsDialog.descriptionLabel.title=Email Details
alertDetailsDialog.descriptionLabel.text=Specify email parameters
alertDetailsDialog.subjectLabel.text=Subject
alertDetailsDialog.messageLabel.text=Message
alertDetailsDialog.addVariableButton.width=105
alertDetailsDialog.addVariableButton.text=Add Variable

alertVariablesDialog.width=480
alertVariablesDialog.height=400
alertVariablesDialog.title=Add Variable
alertVariablesDialog.descriptionLabel.title=Message Variable
alertVariablesDialog.descriptionLabel.text=Select email message variable
alertVariablesDialog.variableTable.column.0=Name
alertVariablesDialog.variableTable.column.1=Description

variable.Host.description=Failed server host.
variable.Port.description=Failed server port.
variable.Protocol.description=Failed server protocol.
variable.Date.description=Verification date.

administratorsPage.administratorsTab.title=Administrators
administratorsPage.administratorsTable.column.0=Name
administratorsPage.administratorsTable.column.1=Login
administratorsPage.administratorsTable.column.2=Email
administratorsPage.administratorsTable.column.3=Permissions
administratorsPage.administratorsTable.column.4=Enabled

administrator.permission.manage=manage admins
administrator.permission.none=none

addAdministratorDialog.width=590
addAdministratorDialog.height=400
addAdministratorDialog.title=Add Administrator
addAdministratorDialog.descriptionLabel.title=Administrator
addAdministratorDialog.descriptionLabel.text=Specify administrator parameters
addAdministratorDialog.administratorNameLabel.text=Name
addAdministratorDialog.administratorLoginLabel.text=Login
addAdministratorDialog.administratorPasswordLabel.text=Password
addAdministratorDialog.administratorPasswordConfirmationLabel.text=Password check
addAdministratorDialog.administratorEmailLabel.text=Email
addAdministratorDialog.managementAllowedBox.text=Can manage administrators
addAdministratorDialog.enabledBox.text=Enabled
addAdministratorDialog.error.validName.message=Please enter valid name! Name field may only contain alpha-numerical characters.
addAdministratorDialog.error.validLogin.message=Please enter valid username! Username field may only contain alpha-numerical characters.
addAdministratorDialog.error.emptyPassword.message=Please enter password!
addAdministratorDialog.error.emptyPasswordConfirmation.message=Please enter password!
addAdministratorDialog.error.nonEqualPasswords.message=Please enter same passwords!
addAdministratorDialog.error.emptyEmail.message=Please enter valid email!

administratorCreatedDialog.message=Administrator '{username}' created!

editAdministratorDialog.width=590
editAdministratorDialog.height=370
editAdministratorDialog.title=Edit Administrator '{username}'
editAdministratorDialog.descriptionLabel.title=Administrator
editAdministratorDialog.descriptionLabel.text=Specify administrator parameters
editAdministratorDialog.administratorNameLabel.text=Name
editAdministratorDialog.administratorPasswordLabel.text=Password
editAdministratorDialog.administratorPasswordConfirmationLabel.text=Password check
editAdministratorDialog.administratorEmailLabel.text=Email
editAdministratorDialog.managementAllowedBox.text=Can manage administrators
editAdministratorDialog.enabledBox.text=Enabled
editAdministratorDialog.error.validName.message=Please enter valid name! Name field may only contain alpha-numerical characters.
editAdministratorDialog.error.nonEqualPasswords.message=Please enter same passwords!
editAdministratorDialog.error.emptyEmail.message=Please enter valid email!

administratorUpdatedDialog.message=Administrator '{username}' updated!

deleteAdministratorDialog.title=Delete Administrator
deleteAdministratorDialog.message=Delete administrator '{username}'?
deleteAdministratorDialog.message.selected=Delete selected administrators?

administratorDeletedDialog.message=Administrator '{username}' deleted!
administratorDeletedDialog.message.selected={count} administrators deleted!


agentsPage.agentsTab.title=Agents
agentsPage.agentsTable.column.0=Username
agentsPage.agentsTable.column.1=Enabled

addAgentDialog.width=590
addAgentDialog.height=330
addAgentDialog.title=Add Agent
addAgentDialog.descriptionLabel.title=Agent
addAgentDialog.descriptionLabel.text=Specify agent parameters
addAgentDialog.agentLoginLabel.text=Login
addAgentDialog.agentPasswordLabel.text=Password
addAgentDialog.agentPasswordConfirmationLabel.text=Password check
addAgentDialog.enabledBox.text=Enabled
addAgentDialog.error.validLogin.message=Please enter valid login! Login field may only contain alpha-numerical characters.
addAgentDialog.error.emptyPassword.message=Please enter password!
addAgentDialog.error.emptyPasswordConfirmation.message=Please enter password!
addAgentDialog.error.nonEqualPasswords.message=Please enter same passwords!

agentCreatedDialog.message=Agent '{username}' created!

editAgentDialog.width=590
editAgentDialog.height=310
editAgentDialog.title=Edit Agent '{username}'
editAgentDialog.descriptionLabel.title=Agent
editAgentDialog.descriptionLabel.text=Specify agent parameters
editAgentDialog.agentPasswordLabel.text=Password
editAgentDialog.agentPasswordConfirmationLabel.text=Password check
editAgentDialog.enabledBox.text=Enabled
editAgentDialog.error.nonEqualPasswords.message=Please enter same passwords!

agentUpdatedDialog.message=Agent '{username}' updated!

deleteAgentDialog.title=Delete Agent
deleteAgentDialog.message=Delete agent '{username}'?
deleteAgentDialog.message.selected=Delete selected agents?

agentDeletedDialog.message=Agent '{username}' deleted!
agentDeletedDialog.message.selected={count} agents deleted!


agentsPage.agentServiceTab.title=Service
agentsPage.agentServiceLabel.text=Agent service:
agentsPage.agentServiceField.text={host}:{port}, key: {key}
agentsPage.agentSessionsTable.column.0=ID
agentsPage.agentSessionsTable.column.1=Agent
agentsPage.agentSessionsTable.column.2=Host
agentsPage.agentSessionsTable.column.3=Connected At
agentsPage.agentSessionsTable.column.4=Uptime
agentsPage.agentSessionsTable.column.5=Current Connections
agentsPage.agentSessionsTable.column.6=Current Ports
agentsPage.agentSessionsTable.column.7=Application Version
agentsPage.agentSessionsTable.column.8=Installation File
agentsPage.updateAgentApplicationButton.width=155
agentsPage.updateAgentApplicationButton.text=Update Agent Installation

agentServiceConfigurationDialog.width=580
agentServiceConfigurationDialog.height=310
agentServiceConfigurationDialog.title=Agent Service Configuration
agentServiceConfigurationDialog.descriptionLabel.title=Agent Service Configuration
agentServiceConfigurationDialog.descriptionLabel.text=Specify Agent service parameters
agentServiceConfigurationDialog.hostLabel.text=Host/IP
agentServiceConfigurationDialog.portLabel.text=port
agentServiceConfigurationDialog.keyLabel.text=Key
agentServiceConfigurationDialog.channelBufferSizeEnabledBox.text=Channel buffer size
agentServiceConfigurationDialog.bufferSizeUnitLabel.text=bytes(s)
agentServiceConfigurationDialog.error.emptyHost.message=Please enter valid host/IP!
agentServiceConfigurationDialog.error.emptyPort.message=Please enter valid port!
agentServiceConfigurationDialog.error.emptyChannelBufferSize.message=Please enter valid channel buffer size!
agentServiceConfigurationDialog.generateKeyButton.text=Generate
agentServiceConfigurationDialog.importKeyButton.text=Import

agentServiceConfigurationAppliedDialog.message=Agent service configuration updated!

closeAgentSessionDialog.title=Close Agent Session
closeAgentSessionDialog.message=Close agent '{username}' session?

agentSessionClosedDialog.message=Agent '{username}' session closed!

updateAgentInstallerDialog.title=Update Agent Installer
updateAgentInstallerDialog.message=Update agent '{username}' installer?

agentInstallerUpdatedDialog.message=Agent '{username}' installer updated!

startAgentInstallerDialog.title=Start Agent Installer
startAgentInstallerDialog.message=Start agent '{username}' installer?

agentInstallerStartedDialog.message=Agent '{username}' installer started!

keysPage.serverKeysTab.title=Server Keys
keysPage.keysTable.column.0=Alias
keysPage.keysTable.column.1=Algorithm
keysPage.keysTable.column.2=Size (bits)
keysPage.keysTable.column.3=Certificate #
keysPage.keysTable.column.4=Certificate Issuer
keysPage.keysTable.column.5=Certificate Subject
keysPage.keysTable.column.6=Certificate Valid From
keysPage.keysTable.column.7=Certificate Valid Until
keysPage.serverKeysTab.generateKeyButton.text=Generate
keysPage.serverKeysTab.importKeyButton.text=Import
keysPage.serverKeysTab.importCertificateButton.width=125
keysPage.serverKeysTab.importCertificateButton.text=Import Certificate
keysPage.serverKeysTab.generateCertificateButton.width=125
keysPage.serverKeysTab.generateCertificateButton.text=Generate Certificate
keysPage.serverKeysTab.exportKeyButton.text=Export
keysPage.serverKeysTab.generateCsrButton.width=95
keysPage.serverKeysTab.generateCsrButton.text=Generate CSR
keysPage.serverKeysTab.infoButton.text=Info

keyDetailsDialog.width=590
keyDetailsDialog.height=580
keyDetailsDialog.title=Key '{name}' Details
keyDetailsDialog.descriptionLabel.title=Key details
keyDetailsDialog.descriptionLabel.text=Key extended information
keyDetailsDialog.nameLabel.text=Alias:
keyDetailsDialog.keyAlgorithmLabel.text=Key algorithm:
keyDetailsDialog.keySizeLabel.text=Key size:
keyDetailsDialog.keySizeField.text={value} bits
keyDetailsDialog.certificateSerialLabel.text=Certificate #:
keyDetailsDialog.certificateIssuerLabel.text=Certificate issuer:
keyDetailsDialog.certificateSubjectLabel.text=Certificate subject:
keyDetailsDialog.certificateSnaLabel.text=Certificate SNA:
keyDetailsDialog.certificateBeginDateLabel.text=Certificate valid from:
keyDetailsDialog.certificateEndDateLabel.text=Certificate valid until:
keyDetailsDialog.certificateExpirationLabel.text=Certificate expiration:
keyDetailsDialog.certificateSignatureLabel.text=Certificate signature:
keyDetailsDialog.certificateSignatureAlgorithmLabel.text=Signature algorithm:
keyDetailsDialog.certificateKeyUsagesLabel.text=Key usages:
keyDetailsDialog.certificateExtendedKeyUsagesLabel.text=Extended key usages:
keyDetailsDialog.certificateClrLabel.text=Revocation List URL's:
keyDetailsDialog.certificateExpiration.text=in {days} day(s)
keyDetailsDialog.certificateExpired.text=expired

keyUsage.DIGITAL_SIGNATURE = digital signature
keyUsage.NON_REPUDIATION=non-repudation
keyUsage.KEY_ENCIPHERMENT=key encipherment
keyUsage.DATA_ENCIPHERMENT=data encipherment
keyUsage.KEY_AGREEMENT=key agreement
keyUsage.KEY_CERT_SIGN=certificate signing
keyUsage.CRL_SIGN=CRL signing
keyUsage.ENCIPHER_ONLY=encipherment only
keyUsage.DECIPHER_ONLY=decipherment only

extendedKeyUsage.ANY=any
extendedKeyUsage.SERVER_AUTH=server authentication
extendedKeyUsage.CLIENT_AUTH=client authentication
extendedKeyUsage.CODE_SIGNING=code signing
extendedKeyUsage.EMAIL_PROTECTION=email protection
extendedKeyUsage.IPSEC_END_SYSTEM=IPSec end system
extendedKeyUsage.IPSEC_TUNNEL=IPSec tunnel
extendedKeyUsage.IPSEC_USER=IPSec user
extendedKeyUsage.TIMESTAMPING=time stamping
extendedKeyUsage.OCSP_SIGNING=OCSP signing
extendedKeyUsage.DVCS=DVCS
extendedKeyUsage.SBGP_CERT_AA_SERVER_AUTH=SBGR certificate AA server authentication
extendedKeyUsage.SCVP_RESPONDER=SCVP responder
extendedKeyUsage.EAP_OVER_PPP= EAP over PPP
extendedKeyUsage.EAP_OVER_LAN=EAP over LAN
extendedKeyUsage.SCVP_SERVER=SCVP server
extendedKeyUsage.SCVP_CLIENT=SCVP client
extendedKeyUsage.IPSEC_IKE=IPSec IKE
extendedKeyUsage.CAPWAP_AC=CAPWAP AC
extendedKeyUsage.CAPWAP_WTP=CAPWAP WTP
extendedKeyUsage.SMART_CARD_LOGON=smart card logon

generateKeyAlgorithmDialog.width=430
generateKeyAlgorithmDialog.height=220
generateKeyAlgorithmDialog.title=Generate Key
generateKeyAlgorithmDialog.descriptionLabel.title=Generate Key
generateKeyAlgorithmDialog.descriptionLabel.text=Specify key algorithm
generateKeyAlgorithmDialog.algorithmLabel.text=Algorithm

generateRsaKeyDialog.width=590
generateRsaKeyDialog.height=520
generateRsaKeyDialog.title=Generate RSA Key
generateRsaKeyDialog.descriptionLabel.title=Generate RSA Key
generateRsaKeyDialog.descriptionLabel.text=Specify key and certificate parameters
generateRsaKeyDialog.generateKeyAliasLabel.text=Alias
generateRsaKeyDialog.generateKeyLengthLabel.text=Length
generateRsaKeyDialog.generateCertificatePeriodLabel.text=Validity
generateRsaKeyDialog.generateCertificatePeriodUnitLabel.text=days
generateRsaKeyDialog.generateCertificateCnLabel.text=Common name (CN)
generateRsaKeyDialog.generateCertificateOuLabel.text=Organization unit (OU)
generateRsaKeyDialog.generateCertificateOLabel.text=Organization (O)
generateRsaKeyDialog.generateCertificateLLabel.text=Locality (L)
generateRsaKeyDialog.generateCertificateStLabel.text=State/Province (ST)
generateRsaKeyDialog.generateCertificateCLabel.text=Country (C)
generateRsaKeyDialog.generateCertificateSnaLabel.text=Subject Alternative Name
generateRsaKeyDialog.okButton.text=Generate
generateRsaKeyDialog.error.validAlias.message=Please enter valid alias! Alias field may only contain alpha-numerical characters.
generateRsaKeyDialog.error.emptyPeriod.message=Please enter certificate validity period!
generateRsaKeyDialog.error.emptyCommonName.message=Please enter valid certificate Common Name!

generateDsaKeyDialog.width=590
generateDsaKeyDialog.height=520
generateDsaKeyDialog.title=Generate DSA Key
generateDsaKeyDialog.descriptionLabel.title=Generate DSA Key
generateDsaKeyDialog.descriptionLabel.text=Specify key and certificate parameters
generateDsaKeyDialog.generateKeyAliasLabel.text=Alias
generateDsaKeyDialog.generateKeyLengthLabel.text=Length
generateDsaKeyDialog.generateCertificatePeriodLabel.text=Validity
generateDsaKeyDialog.generateCertificatePeriodUnitLabel.text=days
generateDsaKeyDialog.generateCertificateCnLabel.text=Common name (CN)
generateDsaKeyDialog.generateCertificateOuLabel.text=Organization unit (OU)
generateDsaKeyDialog.generateCertificateOLabel.text=Organization (O)
generateDsaKeyDialog.generateCertificateLLabel.text=Locality (L)
generateDsaKeyDialog.generateCertificateStLabel.text=State/Province (ST)
generateDsaKeyDialog.generateCertificateCLabel.text=Country (C)
generateDsaKeyDialog.generateCertificateSnaLabel.text=Subject Alternative Name
generateDsaKeyDialog.okButton.text=Generate
generateDsaKeyDialog.error.validAlias.message=Please enter valid alias! Alias field may only contain alpha-numerical characters.
generateDsaKeyDialog.error.emptyPeriod.message=Please enter certificate validity period!
generateDsaKeyDialog.error.emptyCommonName.message=Please enter valid certificate Common Name!

generateEcKeyDialog.width=590
generateEcKeyDialog.height=520
generateEcKeyDialog.title=Generate EC Key
generateEcKeyDialog.descriptionLabel.title=Generate EC Key
generateEcKeyDialog.descriptionLabel.text=Specify key and certificate parameters
generateEcKeyDialog.generateKeyAliasLabel.text=Alias
generateEcKeyDialog.generateKeyCurveLabel.text=Curve
generateEcKeyDialog.generateCertificatePeriodLabel.text=Validity
generateEcKeyDialog.generateCertificatePeriodUnitLabel.text=days
generateEcKeyDialog.generateCertificateCnLabel.text=Common name (CN)
generateEcKeyDialog.generateCertificateOuLabel.text=Organization unit (OU)
generateEcKeyDialog.generateCertificateOLabel.text=Organization (O)
generateEcKeyDialog.generateCertificateLLabel.text=Locality (L)
generateEcKeyDialog.generateCertificateStLabel.text=State/Province (ST)
generateEcKeyDialog.generateCertificateCLabel.text=Country (C)
generateEcKeyDialog.generateCertificateSnaLabel.text=Subject Alternative Name
generateEcKeyDialog.okButton.text=Generate
generateEcKeyDialog.error.validAlias.message=Please enter valid alias! Alias field may only contain alpha-numerical characters.
generateEcKeyDialog.error.emptyPeriod.message=Please enter certificate validity period!
generateEcKeyDialog.error.emptyCommonName.message=Please enter valid certificate Common Name!

keyGeneratedDialog.message=Key '{name}' generated!

importKeyDialog.width=590
importKeyDialog.height=360
importKeyDialog.title=Import Key
importKeyDialog.descriptionLabel.title=Import Key
importKeyDialog.descriptionLabel.text=Specify key file parameters
importKeyDialog.keyAliasLabel.text=Alias
importKeyDialog.keyFileLabel.text=File
importKeyDialog.filePasswordLabel.text=File password
importKeyDialog.aliasInFileLabel.text=Alias in file
importKeyDialog.keyPasswordLabel.text=Key password
importKeyDialog.okButton.text=Import
importKeyDialog.error.validAlias.message=Please enter valid alias! Alias field may only contain alpha-numerical characters.
importKeyDialog.error.emptyFile.message=Please enter file path!

keyImportedDialog.message=Key '{name}' imported!

importCertificateDialog.width=590
importCertificateDialog.height=280
importCertificateDialog.title=Import Certificates For '{name}'
importCertificateDialog.descriptionLabel.title=Import Certificates
importCertificateDialog.descriptionLabel.text=Specify certificates file parameters
importCertificateDialog.keyFileLabel.text=File
importCertificateDialog.filePasswordLabel.text=File password
importCertificateDialog.aliasInFileLabel.text=Alias in file
importCertificateDialog.okButton.text=Import
importCertificateDialog.error.emptyFile.message=Please enter file path!

certificateImportedDialog.message=Certificate for key '{name}' imported!

generateCertificateDialog.width=590
generateCertificateDialog.height=430
generateCertificateDialog.title=Generate Certificate For '{name}'
generateCertificateDialog.descriptionLabel.title=Generate Certificate
generateCertificateDialog.descriptionLabel.text=Specify certificate parameters
generateCertificateDialog.generateCertificatePeriodLabel.text=Validity
generateCertificateDialog.generateCertificatePeriodUnitLabel.text=days
generateCertificateDialog.generateCertificateCnLabel.text=Common name (CN)
generateCertificateDialog.generateCertificateOuLabel.text=Organization unit (OU)
generateCertificateDialog.generateCertificateOLabel.text=Organization (O)
generateCertificateDialog.generateCertificateLLabel.text=Locality (L)
generateCertificateDialog.generateCertificateStLabel.text=State/Province (ST)
generateCertificateDialog.generateCertificateCLabel.text=Country (C)
generateCertificateDialog.generateCertificateSnaLabel.text=Subject Alternative Name
generateCertificateDialog.okButton.text=Generate
generateCertificateDialog.error.emptyPeriod.message=Please enter certificate validity period!
generateCertificateDialog.error.emptyCommonName.message=Please enter valid certificate Common Name!

certificateGeneratedDialog.message=Certificate for key '{name}' generated!

exportKeyDialog.width=430
exportKeyDialog.height=250
exportKeyDialog.title=Export '{name}'
exportKeyDialog.descriptionLabel.title=Export Key/Certificate
exportKeyDialog.descriptionLabel.text=Specify export parameters
exportKeyDialog.exportKeyTypeLabel.text=Export
exportKeyDialog.exportKeyFormatLabel.text=Format
exportKeyDialog.okButton.text=Export
exportKeyDialog.keyType.certificate=certificate
exportKeyDialog.keyType.publicKey=public key
exportKeyDialog.keyType.privateKey=private key

exportKeyPasswordDialog.width=430
exportKeyPasswordDialog.height=250
exportKeyPasswordDialog.title=Export Key '{name}'
exportKeyPasswordDialog.descriptionLabel.title=Export Key Password
exportKeyPasswordDialog.descriptionLabel.text=Specify export file password
exportKeyPasswordDialog.passwordLabel.text=Password
exportKeyPasswordDialog.passwordConfirmationLabel.text=Password check
exportKeyPasswordDialog.okButton.text=Export
exportKeyPasswordDialog.error.emptyPassword.message=Please enter password!
exportKeyPasswordDialog.error.emptyPasswordConfirmation.message=Please enter password!
exportKeyPasswordDialog.error.nonEqualPasswords.message=Please enter same passwords!

deleteKeyDialog.title=Delete Key
deleteKeyDialog.message=Delete key '{name}'?
deleteKeyDialog.message.selected=Delete selected keys?

keyDeletedDialog.message=Key '{name}' deleted!
keyDeletedDialog.message.selected={count} keys deleted!

emailPage.emailTab.title=Email
emailPage.serverHostLabel.text=Email server:
emailPage.serverProtocolLabel.text=Protocol:
emailPage.usernameLabel.text=Username:
emailPage.debugFileLabel.text=Debug file:
emailPage.senderLabel.text=From:

emailServiceConfigurationAppliedDialog.message=Email configuration updated!

email.protocol.PLAIN=plain
email.protocol.SSL=SSL/TLS
email.protocol.START_TLS=start TLS

emailConfigurationDialog.width=590
emailConfigurationDialog.height=390
emailConfigurationDialog.title=Email Service Configuration
emailConfigurationDialog.descriptionLabel.title=Email Service Configuration
emailConfigurationDialog.descriptionLabel.text=Specify email service parameters
emailConfigurationDialog.serverHostLabel.text=Host/IP
emailConfigurationDialog.serverPortLabel.text=port
emailConfigurationDialog.serverProtocolLabel.text=Protocol
emailConfigurationDialog.usernameLabel.text=Username
emailConfigurationDialog.passwordLabel.text=Password
emailConfigurationDialog.debugFileLabel.text=Debug file
emailConfigurationDialog.senderLabel.text=From
emailConfigurationDialog.error.emptyHost.message=Please enter valid host/IP!
emailConfigurationDialog.error.emptyPort.message=Please enter valid port!
emailConfigurationDialog.error.emptySender.message=Please enter valid sender!

testEmailServiceDialog.width=590
testEmailServiceDialog.height=220
testEmailServiceDialog.title=Test Email Service
testEmailServiceDialog.descriptionLabel.title=Test Email Service
testEmailServiceDialog.descriptionLabel.text=Specify test parameters
testEmailServiceDialog.recipientLabel.text=Recipient
testEmailServiceDialog.error.emptyRecipient.message=Please enter message recipient!

emailServiceTestPassedDialog.message=Service test passed!

webPage.webTab.title=Web
webPage.httpLabel.text=HTTP:
webPage.httpsLabel.text=HTTPS:
webPage.httpsField.text={host}:{port}, key: {key}
webPage.sessionTimeoutLabel.text=Session timeout:
webPage.sessionTimeoutField.text={timeout} min
webPage.fipsModeLabel.text=FIPS compliance:

webServiceConfigurationAppliedDialog.message=Web configuration updated!

webConfigurationDialog.width=560
webConfigurationDialog.height=360
webConfigurationDialog.title=Web Service Configuration
webConfigurationDialog.descriptionLabel.title=Web Service Configuration
webConfigurationDialog.descriptionLabel.text=Specify Web service parameters
webConfigurationDialog.httpHostLabel.text=HTTP host
webConfigurationDialog.httpPortLabel.text=port
webConfigurationDialog.httpsHostLabel.text=HTTPS host
webConfigurationDialog.httpsPortLabel.text=port
webConfigurationDialog.keyLabel.text=HTTPS key
webConfigurationDialog.timeoutLabel.text=Session timeout
webConfigurationDialog.timeoutUnitLabel.text=min
webConfigurationDialog.fipsModeBox.text=Enable FIPS compliance
webConfigurationDialog.error.emptyHttpHost.message=Please enter valid HTTP host/IP!
webConfigurationDialog.error.emptyHttpPort.message=Please enter valid HTTP port!
webConfigurationDialog.error.emptyHttpsHost.message=Please enter valid HTTPS host/IP!
webConfigurationDialog.error.emptyHttpsPort.message=Please enter valid HTTPS port!
webConfigurationDialog.error.emptyTimeout.message=Please enter session timeout!
webConfigurationDialog.generateKeyButton.text=Generate
webConfigurationDialog.importKeyButton.text=Import

jmxPage.jmxTab.title=JMX
jmxPage.serviceLabel.text=Service:

jmxConfigurationDialog.width=760
jmxConfigurationDialog.height=260
jmxConfigurationDialog.title=JMX Service Configuration
jmxConfigurationDialog.descriptionLabel.title=JMX Service Configuration
jmxConfigurationDialog.descriptionLabel.text=Specify JMX service parameters
jmxConfigurationDialog.hostLabel.text=Host
jmxConfigurationDialog.serverPortLabel.text=server port
jmxConfigurationDialog.rmiPortLabel.text=RMI port
jmxConfigurationDialog.error.emptyHost.message=Please enter valid host/IP!
jmxConfigurationDialog.error.emptyServerPort.message=Please enter valid server port!
jmxConfigurationDialog.error.emptyRmiPort.message=Please enter valid RMI port!

jmxServiceConfigurationAppliedDialog.message=JMX configuration updated!